ivyteam/system/cs 1.0 'Basic components' 9.3.0 #module

>Proto >Proto Collection #zClass

TextInP TextInP TP #zClass
TextInP 0 0 #valency

C C Big #zClass
C TextInP .xml .xml #zField
C TextInP .name .name #zField
C TextInP .responsibility .responsibility #zField
C TextInP color color #zField
C 0 0 450 300 0 #ivRect
>Proto C superC superC #zField
>Proto superC 0 0 32 24 18 26 #rect
>Proto superC normal @|BIcon #fIcon




[
This module part contains  the Port classes (without TextInP).

The naming convention of normal ports (NP) is as follows:
PortName-ab
Where a is the min valency and b is the max valency with the possible values:
0
1
n Integer.MAX
]

[The PushOut ports]
PushOutP-11 PushOutP-11 NP #zClass
PushOutP-11 1 1 #valency

PushOutP-01 PushOutP-01 NP #zClass
PushOutP-01 PushOutP-11 #inherit
PushOutP-01 0 1 #valency

PushOutP-0n PushOutP-0n NP #zClass
PushOutP-0n PushOutP-11 #inherit
PushOutP-0n 0 2147483647 #valency

[The PushIn ports]
PushInP-11 PushInP-11 NP #zClass
PushInP-11 PushOutP-11 #friends
PushInP-11 1 1 #valency

PushInP-01 PushInP-01 NP #zClass
PushInP-01 PushInP-11 #inherit
PushInP-01 0 1 #valency

PushInP-0n PushInP-0n NP #zClass
PushInP-0n PushInP-11 #inherit
PushInP-0n 0 2147483647 #valency

[The PullOut ports]
PullOutP-11 PullOutP-11 NP #zClass
PullOutP-11 1 1 #valency

PullOutP-01 PullOutP-01 NP #zClass
PullOutP-01 PullOutP-11 #inherit
PullOutP-01 0 1 #valency

PullOutP-0n PullOutP-0n NP #zClass
PullOutP-0n PullOutP-11 #inherit
PullOutP-0n 0 2147483647 #valency

[The PullIn ports]
PullInP-11 PullInP-11 NP #zClass
PullInP-11 PullOutP-11 #friends
PullInP-11 1 1 #valency

PullInP-01 PullInP-01 NP #zClass
PullInP-01 PullInP-11 #inherit
PullInP-01 0 1 #valency

PullInP-0n PullInP-0n NP #zClass
PullInP-0n PullInP-11 #inherit
PullInP-0n 0 2147483647 #valency

[Resource ports]
ResOutP-11 ResOutP-11 NP #zClass
ResOutP-11 1 1 #valency

ResOutP-0n ResOutP-0n NP #zClass
ResOutP-0n ResOutP-11 #inherit
ResOutP-0n 0 2147483647 #valency

ResInP-11 ResInP-11 NP #zClass
ResInP-11 ResOutP-11 #friends
ResInP-11 1 1 #valency

ResInP-01 ResInP-01 NP #zClass
ResInP-01 ResInP-11 #inherit
ResInP-01 0 1 #valency

[Ports for IO]
AgentP+11 AgentP+11 NP #zClass
AgentP+11 1 1 #valency

AgentP+01 AgentP+01 NP #zClass
AgentP+01 AgentP+11 #inherit
AgentP+01 0 1 #valency

AgentP-0n AgentP-0n NP #zClass
AgentP-0n AgentP+11 #friends
AgentP-0n 0 2147483647 #valency

[Join Ports]
JoinOutP-11 JoinOutP-11 NP #zClass
JoinOutP-11 1 1 #valency

JoinInP-11 JoinInP-11 NP #zClass
JoinInP-11 JoinOutP-11 #friends
JoinInP-11 1 1 #valency

JoinInP-0n JoinInP-0n NP #zClass
JoinInP-0n JoinInP-11 #inherit
JoinInP-0n 0 2147483647 #valency

[TaskSwitch Ports]
TkOutP-11 TkOutP-11 NP #zClass
TkOutP-11 1 1 #valency

TkInP-11 TkInP-11 NP #zClass
TkInP-11 TkOutP-11 #friends
TkInP-11 1 1 #valency

TkInP-01 TkInP-01 NP #zClass
TkInP-01 TkInP-11 #inherit
TkInP-01 0 1 #valency

TkInP-0n TkInP-0n NP #zClass
TkInP-0n TkInP-11 #inherit
TkInP-0n 0 2147483647 #valency


[The PushWF ports]
PushWFOutP-11 PushWFOutP-11 NP #zClass
PushWFOutP-11 1 1 #valency

PushWFOutP-01 PushWFOutP-01 NP #zClass
PushWFOutP-01 PushWFOutP-11 #inherit
PushWFOutP-01 0 1 #valency

PushWFInP-11 PushWFInP-11 NP #zClass
PushWFInP-11 PushWFOutP-11 #friends
PushWFInP-11 1 1 #valency

PushWFInP-01 PushWFInP-01 NP #zClass
PushWFInP-01 PushWFInP-11 #inherit
PushWFInP-01 0 1 #valency

[The PushCallback ports]
PushCallbackOutP-11 PushCallbackOutP-11 NP #zClass
PushCallbackOutP-11 1 1 #valency

PushCallbackOutP-01 PushCallbackOutP-01 NP #zClass
PushCallbackOutP-01 PushCallbackOutP-11 #inherit
PushCallbackOutP-01 0 1 #valency

[
PushCallbackOutP-0n PushCallbackOutP-01 NP #zClass
PushCallbackOutP-0n PushCallbackOutP-11 #inherit
PushCallbackOutP-0n 0 2147483647 #valency
]

PushCallbackInP-11 PushCallbackInP-11 NP #zClass
PushCallbackInP-11 PushCallbackOutP-11 #friends
PushCallbackInP-11 1 1 #valency

[
PushCallbackInP-01 PushCallbackInP-01 NP #zClass
PushCallbackInP-01 PushCallbackInP-11 #inherit
PushCallbackInP-01 0 1 #valency
]

PushCallbackInP-0n PushCallbackInP-01 NP #zClass
PushCallbackInP-0n PushCallbackInP-11 #inherit
PushCallbackInP-0n 0 2147483647 #valency

[AnnotationPorts]
AnnotationInP-11 AnnotationInP-11 NP #zClass
AnnotationInP-11 1 1 #valency

AnnotationInP-0n AnnotationInP-0n NP #zClass
AnnotationInP-0n AnnotationInP-11 #inherit
AnnotationInP-0n 0 2147483647 #valency

AnnotationOutP-11 AnnotationOutP-11 NP #zClass
AnnotationOutP-11 1 1 #valency

AnnotationOutP-01 AnnotationOutP-01 NP #zClass
AnnotationOutP-01 AnnotationOutP-11 #inherit
AnnotationOutP-01 0 1 #valency

AnnotationInP-11 AnnotationOutP-11 #friends

[MessageFlowPorts]
MessageFlowInP-11 MessageFlowInP-11 NP #zClass
MessageFlowInP-11 1 1 #valency

MessageFlowInP-01 MessageFlowInP-01 NP #zClass
MessageFlowInP-01 MessageFlowInP-11 #inherit
MessageFlowInP-01 0 1 #valency

MessageFlowInP-0n MessageFlowInP-0n NP #zClass
MessageFlowInP-0n MessageFlowInP-11 #inherit
MessageFlowInP-0n 0 2147483647 #valency

MessageFlowOutP-11 MessageFlowOutP-11 NP #zClass
MessageFlowOutP-11 1 1 #valency

MessageFlowOutP-01 MessageFlowOutP-01 NP #zClass
MessageFlowOutP-01 MessageFlowOutP-11 #inherit
MessageFlowOutP-01 0 1 #valency

MessageFlowOutP-0n MessageFlowOutP-0n NP #zClass
MessageFlowOutP-0n MessageFlowOutP-11 #inherit
MessageFlowOutP-0n 0 2147483647 #valency

MessageFlowInP-11 MessageFlowOutP-11 #friends

MessageFlowInOutP-0n MessageFlowInOutP-0n NP #zClass
MessageFlowInOutP-0n 0 2147483647 #valency

MessageFlowInOutP-0n MessageFlowOutP-11 #friends
MessageFlowInOutP-0n MessageFlowInP-11  #friends

[
This contains all the gates we need. The naming convention is:
GateName-ab-cd
where a is the min valency of the gate
      b is the max valency of the gate
      c is the min valency of the gates main port
      d is the max valency of the gates main port
with the possible values:
0
1
n Integer.MAX
]

AgentG AgentG Gate #zClass
AgentG AgentP-0n #inherit
AgentG AgentP+01 m m #zField
>Proto AgentG agentG AgentG #zField

[The PushOut gates. Their main port has a valency of 0n]

PushOutG-01 PushOutG-01 Gate #zClass
PushOutG-01 Gate #cInfo
PushOutG-01 C #inherit
PushOutG-01 PushOutP-01 #inherit
PushOutG-01 0 1 #valency
PushOutG-01 PushInP-0n m m #zField
>Proto PushOutG-01 pushOutG-01 PushOutG-01 #zField
>Proto pushOutG-01 0 0 6 6 10 16 #rect
>Proto pushOutG-01 @|AOGIcon #fIcon

PushOutG-0n PushOutG-0n Gate #zClass
PushOutG-0n Gate #cInfo
PushOutG-0n C #inherit
PushOutG-0n PushOutP-0n #inherit
PushOutG-0n 0 2147483647 #valency
PushOutG-0n PushInP-0n m m #zField
>Proto PushOutG-0n pushOutG-0n PushOutG-0n #zField
>Proto pushOutG-0n 0 0 6 6 10 16 #rect
>Proto pushOutG-0n @|AOGIcon #fIcon

[The PushIn gates. Their main port has a valency of 01]

PushInG-0n PushInG-0n Gate #zClass
PushInG-0n Gate #cInfo
PushInG-0n C #inherit
PushInG-0n PushInP-0n #inherit
PushInG-0n 0 2147483647 #valency
PushInG-0n PushOutP-01 m m #zField
>Proto PushInG-0n pushInG-0n PushInG-0n #zField
>Proto pushInG-0n 0 0 6 6 10 16 #rect
>Proto pushInG-0n @|PIGIcon #fIcon

PushInG-01 PushInG-01 Gate #zClass
PushInG-01 Gate #cInfo
PushInG-01 C #inherit
PushInG-01 PushInP-01 #inherit
PushInG-01 0 1 #valency
PushInG-01 PushOutP-01 m m #zField
>Proto PushInG-01 pushInG-01 PushInG-01 #zField
>Proto pushInG-01 0 0 6 6 10 16 #rect
>Proto pushInG-01 @|PIGIcon #fIcon

[Do not inherit from C because of valency]
PushInG-11 PushInG-11 Gate #zClass
PushInG-11 Gate #cInfo
PushInG-11 PushInP-11 #inherit
PushInG-11 1 1 #valency
PushInG-11 PushOutP-01 m m #zField
>Proto PushInG-11 pushInG-11 PushInG-11 #zField
>Proto pushInG-11 0 0 6 6 10 16 #rect
>Proto pushInG-11 @|PIGIcon #fIcon

[The PullIn gates]

PullInG-01 PullInG-01 Gate #zClass
PullInG-01 Gate #cInfo
PullInG-01 C #inherit
PullInG-01 PullInP-01 #inherit
PullInG-01 0 1 #valency
PullInG-01 PullOutP-0n m m #zField
>Proto PullInG-01 pullInG-01 PullInG-01 #zField
>Proto pullInG-01 0 0 6 6 10 16 #rect
>Proto pullInG-01 @|AIGIcon #fIcon

PullInG-0n PullInG-0n Gate #zClass
PullInG-0n Gate #cInfo
PullInG-0n C #inherit
PullInG-0n PullInP-0n #inherit
PullInG-0n 0 2147483647 #valency
PullInG-0n PullOutP-0n m m #zField
>Proto PullInG-0n pullInG-0n PullInG-0n #zField
>Proto pullInG-0n 0 0 6 6 10 16 #rect
>Proto pullInG-0n @|AIGIcon #fIcon

[The PullOut gates]

PullOutG-0n PullOutG-0n Gate #zClass
PullOutG-0n Gate #cInfo
PullOutG-0n C #inherit
PullOutG-0n PullOutP-0n #inherit
PullOutG-0n 0 2147483647 #valency
PullOutG-0n PullInP-01 m m #zField
>Proto PullOutG-0n pullOutG-0n PullOutG-0n #zField
>Proto pullOutG-0n 0 0 6 6 10 16 #rect
>Proto pullOutG-0n @|POGIcon #fIcon

PullOutG-01 PullOutG-01 Gate #zClass
PullOutG-01 Gate #cInfo
PullOutG-01 C #inherit
PullOutG-01 PullOutP-01 #inherit
PullOutG-01 0 1 #valency
PullOutG-01 PullInP-01 m m #zField
>Proto PullOutG-01 pullOutG-01 PullOutG-01 #zField
>Proto pullOutG-01 0 0 6 6 10 16 #rect
>Proto pullOutG-01 @|POGIcon #fIcon

[Resource gates]
ResInG-01 ResInG-01 Gate #zClass
ResInG-01 Gate #cInfo
ResInG-01 C #inherit
ResInG-01 ResInP-01 #inherit
ResInG-01 0 1 #valency
ResInG-01 ResOutP-0n m m #zField
>Proto ResInG-01 resInG-01 ResInG-01 #zField
>Proto resInG-01 0 0 6 6 10 16 #rect
>Proto resInG-01 @|RIGIcon #fIcon

ResOutG-0n ResOutG-0n Gate #zClass
ResOutG-0n Gate #cInfo
ResOutG-0n C #inherit
ResOutG-0n ResOutP-0n #inherit
ResOutG-0n 0 2147483647 #valency
ResOutG-0n ResInP-01 m m #zField
>Proto ResOutG-0n resOutG-0n ResOutG-0n #zField
>Proto resOutG-0n 0 0 6 6 10 16 #rect
>Proto resOutG-0n @|ROGIcon #fIcon

[The Join Gates]
JoinInG-0n JoinInG-0n Gate #zClass
JoinInG-0n JoinInP-0n #inherit
JoinInG-0n 0 2147483647 #valency
JoinInG-0n PullOutP-0n m m #zField
>Proto JoinInG-0n joinInG-0n JoinInG-0n #zField
>Proto joinInG-0n 0 0 6 6 10 16 #rect
>Proto joinInG-0n @|AIGIcon #fIcon

JoinOutG-11 JoinOutG-11 Gate #zClass
JoinOutG-11 JoinOutP-11 #inherit
JoinOutG-11 1 1 #valency
JoinOutG-11 PullInP-0n m m #zField
>Proto JoinOutG-11 joinOutG-11 JoinOutG-11 #zField
>Proto joinOutG-11 0 0 6 6 10 16 #rect
>Proto joinOutG-11 @|AOGIcon #fIcon

[The TaskSwitch Gates]
TkInG-01 TkInG-01 Gate #zClass
TkInG-01 TkInP-01 #inherit
TkInG-01 0 1 #valency
TkInG-01 PullOutP-01 m m #zField
>Proto TkInG-01 tkInG-01 TkInG-01 #zField
>Proto tkInG-01 0 0 6 6 10 16 #rect
>Proto tkInG-01 normal @|AIGIcon #fIcon

TkInG-0n TkInG-0n Gate #zClass
TkInG-0n TkInP-0n #inherit
TkInG-0n 0 2147483647 #valency
TkInG-0n PullOutP-0n m m #zField
>Proto TkInG-0n tkInG-0n TkInG-0n #zField
>Proto tkInG-0n 0 0 6 6 10 16 #rect
>Proto tkInG-0n @|AIGIcon #fIcon

TkOutG-11 TkOutG-11 Gate #zClass
TkOutG-11 TkOutP-11 #inherit
TkOutG-11 1 1 #valency
TkOutG-11 PullInP-0n m m #zField
>Proto TkOutG-11 tkOutG-11 TkOutG-11 #zField
>Proto tkOutG-11 0 0 6 6 10 16 #rect
>Proto tkOutG-11 @|AOGIcon #fIcon

[The PushWFOut gates. Their main port has a valency of 0n]
PushTrueWFOutG-01 PushTrueWFOutG-01 Gate #zClass
PushTrueWFOutG-01 Gate #cInfo
PushTrueWFOutG-01 C #inherit
PushTrueWFOutG-01 PushWFOutP-11 #inherit
PushTrueWFOutG-01 0 1 #valency
PushTrueWFOutG-01 PushWFInP-01 m m #zField
>Proto PushTrueWFOutG-01 pushTrueWFOutG-01 PushTrueWFOutG-01 #zField
>Proto pushTrueWFOutG-01 0 0 6 6 10 16 #rect
>Proto pushTrueWFOutG-01 @|MOGIcon #fIcon

PushWFOutG-01 PushWFOutG-01 Gate #zClass
PushWFOutG-01 Gate #cInfo
PushWFOutG-01 C #inherit
PushWFOutG-01 PushWFOutP-11 #inherit
PushWFOutG-01 0 1 #valency
PushWFOutG-01 PushInP-0n m m #zField
>Proto PushWFOutG-01 pushWFOutG-01 PushWFOutG-01 #zField
>Proto pushWFOutG-01 0 0 6 6 10 16 #rect
>Proto pushWFOutG-01 @|MOGIcon #fIcon

PushWFOutG-0n PushWFOutG-0n Gate #zClass
PushWFOutG-0n Gate #cInfo
PushWFOutG-0n C #inherit
PushWFOutG-0n PushWFOutP-11 #inherit
PushWFOutG-0n 0 2147483647 #valency
PushWFOutG-0n PushInP-11 m m #zField
>Proto PushWFOutG-0n pushWFOutG-0n PushWFOutG-0n #zField
>Proto pushWFOutG-0n 0 0 6 6 10 16 #rect
>Proto pushWFOutG-0n @|MOGIcon #fIcon

[The PushWFIn gates. Their main port has a valency of 01]
PushTrueWFInG-01 PushTrueWFInG-0n Gate #zClass
PushTrueWFInG-01 Gate #cInfo
PushTrueWFInG-01 C #inherit
PushTrueWFInG-01 PushWFInP-11 #inherit
PushTrueWFInG-01 0 1 #valency
PushTrueWFInG-01 PushWFOutP-01 m m #zField
>Proto PushTrueWFInG-01 pushTrueWFInG-01 PushTrueWFInG-01 #zField
>Proto pushTrueWFInG-01 0 0 6 6 10 16 #rect
>Proto pushTrueWFInG-01 @|MIGIcon #fIcon

PushWFInG-0n PushWFInG-0n Gate #zClass
PushWFInG-0n Gate #cInfo
PushWFInG-0n C #inherit
PushWFInG-0n PushWFInP-11 #inherit
PushWFInG-0n 0 2147483647 #valency
PushWFInG-0n PushOutP-01 m m #zField
>Proto PushWFInG-0n pushWFInG-0n PushWFInG-0n #zField
>Proto pushWFInG-0n 0 0 6 6 10 16 #rect
>Proto pushWFInG-0n @|MIGIcon #fIcon

PushWFInG-01 PushWFInG-01 Gate #zClass
PushWFInG-01 Gate #cInfo
PushWFInG-01 C #inherit
PushWFInG-01 PushWFInP-11 #inherit
PushWFInG-01 0 1 #valency
PushWFInG-01 PushOutP-01 m m #zField
>Proto PushWFInG-01 pushWFInG-01 PushWFInG-01 #zField
>Proto pushWFInG-01 0 0 6 6 10 16 #rect
>Proto pushWFInG-01 @|MIGIcon #fIcon

[Do not inherit from C because of valency]
PushWFInG-11 PushWFInG-11 Gate #zClass
PushWFInG-11 Gate #cInfo
PushWFInG-11 PushWFInP-11 #inherit
PushWFInG-11 1 1 #valency
PushWFInG-11 PushOutP-01 m m #zField
>Proto PushWFInG-11 pushWFInG-11 PushWFInG-11 #zField
>Proto pushWFInG-11 0 0 6 6 10 16 #rect
>Proto pushWFInG-11 @|MIGIcon #fIcon


[ This module part contains the quarks (except ports and gates). ]

CG CG Big #zClass
CG C #inherit
CG AnnotationInP-0n ai ai #zField
CG TextInP tags tags #zField
CG TextInP color color #zField
CG MessageFlowInP-0n messageIn messageIn #zField
CG MessageFlowOutP-0n messageOut messageOut #zField

CS CS Big #zClass
CS CG #inherit
CS MessageFlowInP-0n #inherit

CE CE Big #zClass
CE CG #inherit
CE MessageFlowOutP-0n #inherit

CA CA Big #zClass
CA CG #inherit
[CA MessageFlowInP-0n messageIn messageIn #zField]
CA MessageFlowInP-0n #inherit
CA MessageFlowOutP-0n #inherit

B Component Big #zClass
B C #inherit
B B #cInfo
B 0 0 600 400 0 #ivRect
B AnnotationInP-0n ai ai #zField
B TextInP .type .type #zField
B TextInP .processKind .processKind #zField
B TextInP .colors .colors #zField
>Proto B subnet Sub #zField
>Proto subnet 0 0 32 24 18 0 #rect
>Proto subnet @|BIcon #fIcon

RD Component Big #zClass
RD B #inherit
RD RD #cInfo
RD 0 0 600 400 0 #ivRect
>Proto RD subnet Sub #zField
>Proto subnet 0 0 32 24 18 0 #rect
>Proto subnet @|BIcon #fIcon

WS Component Big #zClass
WS B #inherit
WS WS #cInfo
WS 0 0 600 400 0 #ivRect
WS TextInP .webServiceName .webServiceName #zField
WS TextInP .implementationClassName .implementationClassName #zField
WS TextInP .authenticationType .authenticationType #zField

>Proto WS subnet Sub #zField
>Proto subnet 0 0 32 24 18 0 #rect
>Proto subnet @|BIcon #fIcon


S 'Object Store' Place #zClass
S S #cInfo
S C #inherit
S PushInP-0n in in #zField
S PullOutP-0n out out #zField
S TextInP type type #zField
S TextInP cap cap #zField
S TextInP tok tok #zField
S TextInP case case #zField
S AgentP-0n ioPort ioPort #zField
S ResInP-01 ri ri #zField
S ResOutP-0n ro ro #zField
>Proto S s '' #zField
>Proto s 0 0 16 16 10 0 #rect
>Proto s @|SIcon #fIcon

TQ TQ Transition #zClass
TQ T #cInfo [HACK]
TQ PullInP-0n in in #zField
TQ PushOutP-0n out out #zField
TQ TextInP action action #zField
TQ TextInP cond cond #zField
TQ TextInP resourceOut resourceOut #zField
TQ TextInP security security #zField
>Proto TQ tq TQ #zField
>Proto tq 0 0 16 16 10 0 #rect
>Proto tq @|TIcon #fIcon

D Decision Decision #zClass
D D #cInfo
D C #inherit
D PullInP-01 in in #zField
D PushOutP-0n out out #zField
>Proto D d '' #zField
>Proto d 0 0 16 16 10 0 #rect
>Proto d @|DIcon #fIcon


IO IO IO #zClass
IO IO #cInfo
IO C #inherit
IO TextInP javaClass javaClass #zField
IO TextInP serialized serialized #zField
IO TextInP initialize initialize #zField
IO TextInP release release #zField
IO TextInP start start #zField
IO TextInP stop stop #zField
IO TextInP pushed pushed #zField
IO TextInP objectArrived objectArrived #zField
IO AgentP+11 ioPort ioPort #zField
>Proto IO io '' #zField
>Proto io 0 0 16 16 10 0 #rect
>Proto io @|IOIcon #fIcon

PushWFArc PushWFArc Arc #zClass
PushWFArc PushArc #arcType
PushWFArc MainArc #cInfo
PushWFArc PushWFInP-11 tail tail #zField
PushWFArc PushWFOutP-11 head head #zField
PushWFArc AnnotationInP-0n ai ai #zField

PushWFArc TextInP expr expr #zField
PushWFArc TextInP outCond outCond #zField
PushWFArc TextInP .xml .xml #zField
PushWFArc TextInP .name .name #zField
PushWFArc TextInP color color #zField
>Proto PushWFArc pushWFArc PushWFArc #zField

PushArc PushArc Arc #zClass
PushArc PushArc #arcType
PushArc NormalArc #cInfo
PushArc PushInP-11 tail tail #zField
PushArc PushOutP-11 head head #zField
PushArc TextInP expr expr #zField
PushArc TextInP outCond outCond #zField
PushArc TextInP .xml .xml #zField
PushArc TextInP .name .name #zField
PushArc TextInP color color #zField
>Proto PushArc pushArc PushArc #zField

PullArc PullArc Arc #zClass
PullArc PullArc #arcType
PullArc NormalArc #cInfo
PullArc PullInP-11 tail tail #zField
PullArc PullOutP-11 head head #zField
PullArc TextInP var var #zField
PullArc TextInP .xml .xml #zField
PullArc TextInP .name .name #zField
PullArc TextInP color color #zField
>Proto PullArc pullArc PullArc #zField

SJArc SJArc Big #zClass
SJArc PushArc #arcType
SJArc SJArc #cInfo
SJArc TextInP expr expr #zField
SJArc TextInP outCond outCond #zField
SJArc TextInP type type #zField
SJArc TextInP var var #zField
SJArc TextInP .xml .xml #zField
SJArc TextInP .name .name #zField
SJArc TextInP color color #zField
SJArc PushWFInG-11 tail tail #zField
SJArc PushArc anim anim #zField
SJArc anim expr $expr$ #txt
SJArc anim outCond $outCond$ #txt
SJArc S s1 s1 #zField
SJArc s1 cap 1 #txt
SJArc s1 type $type$ #txt
SJArc PullArc a1 a1 #zField
SJArc a1 var $var$ #txt
SJArc TQ t t #zField
SJArc t action '' #txt
SJArc PushArc a2 a2 #zField
SJArc a2 expr $var$ #txt
SJArc S buffer buffer #zField
SJArc buffer type $type$ #txt
SJArc PullArc a3 a3 #zField
SJArc a3 var $var$ #txt
SJArc JoinOutG-11 head head #zField
SJArc AgentG ioPort '' #zField
SJArc AnnotationInP-0n ai ai #zField
SJArc ioPort m buffer ioPort #connect
SJArc tail m anim tail #connect
SJArc anim head s1 in #connect
SJArc s1 out a1 tail #connect
SJArc a1 head t in #connect
SJArc t out a2 tail #connect
SJArc a2 head buffer in #connect
SJArc buffer out a3 tail #connect
SJArc a3 head head m #connect
>Proto SJArc sJArc SJArc #zField
[Internal position info]
SJArc tail    46   0   8  8   5 -5 #rect
SJArc s1      42  50  16 16  11 -8 #rect
SJArc t       42 100  16 16  11 -8 #rect
SJArc buffer  42 150  16 16  11 -8 #rect
SJArc ioPort   0 154   8  8  11 -8 #rect
SJArc head    46 200   8  8   5 -5 #rect
SJArc   0 0 100 208 1 #ivRect

TkArc TkArc Big #zClass
TkArc PushArc #arcType
TkArc TkArc #cInfo
TkArc TextInP expr expr #zField
TkArc TextInP outCond outCond #zField
TkArc TextInP type type #zField
TkArc TextInP var var #zField
TkArc TextInP .xml .xml #zField
TkArc TextInP .name .name #zField
TkArc TextInP color color #zField
TkArc TextInP template template #zField
TkArc PushWFInG-11 tail tail #zField
TkArc PushArc a0 a0 #zField
TkArc a0 expr $expr$ #txt
TkArc a0 outCond $outCond$ #txt
TkArc S buffer buffer #zField
TkArc buffer type $type$ #txt
TkArc PullArc a1 a1 #zField
TkArc a1 var in #txt
TkArc TQ t0 t0 #zField
TkArc t0 action 'engine.joinTask("$.pid$", "$var$");' #txt
TkArc PushArc anim anim #zField
TkArc anim expr '["in", in]' #txt
TkArc S s0 s0 #zField
TkArc s0 type List #txt
TkArc IO io0 io0 #zField
TkArc io0 javaClass ch.ivyteam.ivy.process.engine.internal.io.beans.TkArcOutputBean #txt
TkArc io0 initialize '
        bean.setPid("$.pid$");
' #txt
TkArc io0 pushed '
        bean.sendResponse("$template$", token, request, response, engine);
        store.pop(token);
' #txt

TkArc IO io1 io1 #zField
TkArc io1 javaClass ch.ivyteam.ivy.process.engine.internal.io.beans.WebInputBean #txt
TkArc io1 initialize '
        bean.setEnvironment(environment);
        bean.setIsTaskSwitch(true);
        bean.setProcessIdentifier(processIdentifier);
        bean.setTkArcRequest("$.pid$", "$var$", "$type$");
' #txt
TkArc io1 release bean.clearRequestPaths(); #txt
TkArc io1 objectArrived 'store.push(event.getObject(), event.getCallStack());' #txt
TkArc S s1 s1 #zField
TkArc s1 type $type$ #txt
TkArc PullArc a3 a3 #zField
TkArc a3 var $var$ #txt
TkArc TkOutG-11 head head #zField
TkArc AnnotationInP-0n ai ai #zField
TkArc tail m a0 tail #connect
TkArc a0 head buffer in #connect
TkArc buffer out a1 tail #connect
TkArc a1 head t0 in #connect
TkArc t0 out anim tail #connect
TkArc anim head s0 in #connect
TkArc s0 ioPort io0 ioPort #connect
TkArc io1 ioPort s1 ioPort #connect
TkArc s1 out a3 tail #connect
TkArc a3 head head m #connect
>Proto TkArc tkArc TkArc #zField

[Internal position info]
TkArc  tail   46    0   8  8   5 -7 #rect
TkArc  buffer 42   50  16 16  11 -8 #rect
TkArc  t0     42  100  16 16  11 -8 #rect
TkArc  s0     42  150  16 16  11 -8 #rect
TkArc  io0    32  142  16 16  11 -8 #rect
TkArc  s1     42  200  16 16  11 -8 #rect
TkArc  io1    32  192  16 16  11 -8 #rect
TkArc  head   46  250   8  8   5 -7 #rect
TkArc  0 0 100 258  1 #ivRect

MessageFlowArc MessageFlowArc Arc #zClass
MessageFlowArc MessageFlowArc #arcType
MessageFlowArc MessageFlowArc #cInfo
MessageFlowArc MessageFlowInP-11 tail tail #zField
MessageFlowArc MessageFlowOutP-11 head head #zField
MessageFlowArc AnnotationInP-0n ai ai #zField
MessageFlowArc TextInP .xml .xml #zField
MessageFlowArc TextInP .name .name #zField
MessageFlowArc TextInP color color #zField
MessageFlowArc AnnotationInP-0n ai ai #zField
>Proto MessageFlowArc messageFlowArc MessageFlowArc #zField

AnnotationArc AnnotationArc Arc #zClass
AnnotationArc AnnotationArc #arcType
AnnotationArc AnnotationArc #cInfo
AnnotationArc AnnotationInP-11 tail tail #zField
AnnotationArc AnnotationOutP-11 head head #zField
AnnotationArc TextInP .xml .xml #zField
AnnotationArc TextInP .name .name #zField
AnnotationArc TextInP color color #zField
>Proto AnnotationArc annotationArc AnnotationArc #zField

InfoButton InfoButton Big #zClass
InfoButton InfoButton #cInfo
InfoButton C #inherit
InfoButton AnnotationOutP-01 ao ao #zField
>Proto InfoButton infoButton '' #zField
>Proto infoButton 0 0 36 24 -10 -8 #rect
>Proto infoButton @|IBIcon #fIcon

MessageGate MessageGate Big #zClass
MessageGate MessageGate #cInfo
MessageGate CA #inherit
>Proto MessageGate messageGate '' #zField
>Proto messageGate 0 0 4 4 0 0 #rect
>Proto messageGate @|MessageGateIcon #fIcon

Alternative Alternative Big #zClass
Alternative Alternative #cInfo
Alternative CG #inherit
Alternative PushWFInG-0n in in #zField
Alternative S buffer buffer #zField
Alternative PullArc a a #zField
Alternative D d d #zField
Alternative PushWFOutG-0n out out #zField
Alternative AgentG ioPort '' #zField
Alternative ioPort m buffer ioPort #connect
Alternative in m buffer in #connect
Alternative buffer out a tail #connect
Alternative a head d in #connect
Alternative d out out m #connect
>Proto Alternative alternative '' #zField
>Proto alternative 0 0 28 28 14 0 #rect
>Proto alternative @|AlternativeIcon #fIcon
[Internal position info]
Alternative  in          46   0  8  8   5 -7 #rect
Alternative  buffer      42  50 16 16  11 -8 #rect
Alternative  ioPort       0  54  8  8   5 -7 #rect
Alternative  d           42 100 16 16  11 -8 #rect
Alternative  out         46 150  8  8   5 -7 #rect
Alternative  0 0 200 158 1 #ivRect

Split Split Big #zClass
Split CG #inherit
Split Split #cInfo
Split TextInP actionTable actionTable #zField
Split TextInP actionCode actionCode #zField
Split PushWFInG-0n in in #zField
Split S buffer buffer #zField
Split PullArc a a #zField
Split TQ t t #zField
Split PushWFOutG-0n out out #zField
Split AgentG ioPort '' #zField
Split ioPort m buffer ioPort #connect
Split in m buffer in #connect
Split buffer out a tail #connect
Split a head t in #connect
Split t out out m #connect
>Proto Split split '' #zField
>Proto split 0 0 28 28 14 0 #rect
>Proto split @|SplitIcon #fIcon
[Internal position info]
Split in       46   0  8  8   5 -5 #rect
Split buffer   42  50 16 16  11 -8 #rect
Split ioPort    0  54  8  8  11 -8 #rect
Split t        42 100 16 16  11 -8 #rect
Split out      46 150 8  8   5 -7 #rect
Split   0 0 100 158 1 #ivRect

Step Step Big #zClass

Activity Activity Big #zClass
Activity CA #inherit
Activity Activity #cInfo
Activity PushWFInG-0n mainIn mainIn #zField
Activity S buffer buffer #zField
Activity PullArc a a #zField
Activity TQ t t #zField
Activity PushWFOutG-0n out out #zField
Activity mainIn m buffer in #connect
Activity buffer out a tail #connect
Activity a head t in #connect
Activity t out out m #connect
>Proto Activity activity '' #zField
>Proto activity 0 0 36 24 20 -2 #rect
>Proto activity @|StepIcon #fIcon
[Internal position info]
Activity mainIn 46 0 8 8 5 -5 #rect
Activity buffer 42 50 16 16  11 -8 #rect
Activity t 42 150 16 16  11 -8 #rect
Activity a 50 66 50 150 #arcP
Activity out 46 200 8 8  5 -7 #rect
Activity 0 0 100 208 1 #ivRect

GridStep GridStep Big #zClass
GridStep CA #inherit
GridStep Step #cInfo
GridStep TextInP actionTable actionTable #zField
GridStep TextInP actionCode actionCode #zField
GridStep TextInP security security #zField
GridStep PushWFInG-0n mainIn mainIn #zField
GridStep S buffer buffer #zField
GridStep PullArc a a #zField
GridStep TQ t t #zField
GridStep PushWFOutG-01 mainOut mainOut #zField
GridStep mainIn m buffer in #connect
GridStep buffer out a tail #connect
GridStep a head t in #connect
GridStep t out mainOut m #connect
>Proto GridStep gridStep '' #zField
>Proto gridStep 0 0 36 24 20 -2 #rect
>Proto gridStep @|StepIcon #fIcon
[Internal position info]
GridStep mainIn 46 0 8 8 5 -5 #rect
GridStep buffer 42 50 16 16  11 -8 #rect
GridStep t 42 150 16 16  11 -8 #rect
GridStep a 50 66 50 150 #arcP
GridStep mainOut 46 200 8 8  5 -7 #rect
GridStep 0 0 100 208 1 #ivRect

Join Join Big #zClass
Join CG #inherit
Join Join #cInfo
Join TextInP actionTable actionTable #zField
Join TextInP actionCode actionCode #zField
Join JoinInG-0n in in #zField
Join TQ t t #zField
Join PushWFOutG-01 mainOut mainOut #zField
Join in m t in #connect
Join t out mainOut m #connect
>Proto Join join '' #zField
>Proto join 0 0 28 28 14 0 #rect
>Proto join @|JoinIcon #fIcon
[Internal position info]
Join in  46  0  8  8   5 -5 #rect
Join t   42 50 16 16  11 -8 #rect
Join mainOut 46 100 8  8   5 -7 #rect
Join   0 0 100 108 1 #ivRect


Page Page Big #zClass
Page Page #cInfo
Page CA #inherit
Page TextInP outLinks outLinks #zField
Page TextInP roleExceptionId roleExceptionId #zField
Page TextInP template template #zField
Page PushWFInG-0n mainIn mainIn #zField
Page S buffer buffer #zField
Page PullArc a1 a1 #zField
Page TQ t1 t1 #zField
Page PushArc a2 a2 #zField
Page S s1 s1 #zField
Page IO io0 io0 #zField

Page PullArc a3 a3 #zField
Page TQ te te #zField
Page IO ioSkip ioSkip #zField
Page S sSkipIn sSkipIn #zField
Page PullArc aSkip0 aSkip0 #zField
Page TQ tSkip tSkip #zField
Page PushArc aSkip1 aSkip1 #zField
Page IO ioSort ioSort #zField
Page S sSortIn sSortIn #zField
Page PullArc aSort0 aSort0 #zField
Page TQ tSort tSort #zField
Page PushArc aSort1 aSort1 #zField
Page IO io1 io1 #zField
Page S s0 s0 #zField
Page PullArc a0 a0 #zField
Page D t0 t0 #zField
Page PushWFOutG-0n out out #zField

Page mainIn m buffer in #connect
Page buffer out a1 tail #connect
Page a1 head t1 in #connect
Page t1 out a2 tail #connect
Page a2 head s1 in #connect
Page io0 ioPort s1 ioPort #connect
Page io1 ioPort s0 ioPort #connect
Page buffer out a3 tail #connect
Page a3 head te in #connect

Page ioSkip ioPort sSkipIn ioPort #connect
Page sSkipIn out aSkip0 tail #connect
Page aSkip0 head tSkip in #connect
Page tSkip out aSkip1 tail #connect
Page aSkip1 head s1 in #connect

Page ioSort ioPort sSortIn ioPort #connect
Page sSortIn out aSort0 tail #connect
Page aSort0 head tSort in #connect
Page tSort out aSort1 tail #connect
Page aSort1 head s1 in #connect

Page s0 out a0 tail #connect
Page a0 head t0 in #connect
Page t0 out out m #connect
>Proto Page page '' #zField
>Proto page 0 0 36 24 20 -2 #rect
>Proto page @|PageIcon #fIcon

[Internal position info]
Page mainIn      146   0  8  8   5 -5 #rect
Page buffer      142  50 16 16  11 -8 #rect
Page t1          142 100 16 16  11 -8 #rect
Page te          242  50 16 16  11 -8 #rect
Page s1          142 150 16 16  11 -8 #rect
Page io0         132 140 16 16  11 -8 #rect
Page io1         132 190 16 16  11 -8 #rect
Page s0          142 200 16 16  11 -8 #rect
Page t0          142 250 16 16  11 -8 #rect
Page ioSkip      232 140 16 16  11 -8 #rect
Page sSkipIn     242 150 16 16  11 -8 #rect
Page tSkip       242 200 16 16  11 -8 #rect
Page ioSort       32 140 16 16  11 -8 #rect
Page sSortIn      42 150 16 16  11 -8 #rect
Page tSort        42 200 16 16  11 -8 #rect
Page out         146 300  8  8   5 -7 #rect
Page   0 0 350 308 1 #ivRect



StartRequest StartRequest Big #zClass
StartRequest StartRequest #cInfo
StartRequest CS #inherit
StartRequest TextInP outLink outLink #zField
StartRequest TextInP inParamDecl inParamDecl #zField
StartRequest TextInP inParamInfo inParamInfo #zField
StartRequest TextInP inParamTable inParamTable #zField
StartRequest TextInP actionCode actionCode #zField
StartRequest TextInP requestEnabled requestEnabled #zField
StartRequest TextInP triggerEnabled triggerEnabled #zField
StartRequest TextInP callSignature callSignature #zField
StartRequest TextInP persist persist #zField
StartRequest TextInP startName startName #zField
StartRequest TextInP startDescription startDescription #zField
StartRequest TextInP startCategory startCategory #zField
StartRequest TextInP startCustomFields startCustomFields #zField
StartRequest TextInP taskData taskData #zField
StartRequest TextInP caseData caseData #zField
StartRequest TextInP wfuser wfuser #zField
StartRequest TextInP showInStartList showInStartList #zField
StartRequest TextInP roleExceptionId roleExceptionId #zField
StartRequest IO io io #zField
StartRequest S s9 s9 #zField
StartRequest S s0 s0 #zField
StartRequest PullArc a2 a2 #zField
StartRequest TQ t2 t2 #zField
StartRequest PullArc a0 a0 #zField
StartRequest TQ t0 t0 #zField
StartRequest PullArc ae ae #zField
StartRequest TQ te te #zField
StartRequest PullArc a1 a1 #zField
StartRequest TQ t1 t1 #zField
StartRequest PushWFOutG-01 mainOut mainOut #zField
>Proto StartRequest startRequest '' #zField
>Proto startRequest 0 0 26 26 14 0 #rect
>Proto startRequest @|StartRequestIcon #fIcon

[Internal position info]
StartRequest io   32  40 16 16  11 -8 #rect
StartRequest s0   42  50 16 16  11 -8 #rect
StartRequest t0   42 100 16 16  11 -8 #rect
StartRequest te  142 100 16 16  11 -8 #rect
StartRequest mainOut  46 150 8  8   5 -7 #rect
StartRequest   0 0 200 158 1 #ivRect

[StartEvent]
StartEvent StartEvent Big #zClass
StartEvent StartEvent #cInfo
StartEvent CS #inherit
StartEvent TextInP outerBean outerBean #zField
StartEvent TextInP beanConfig beanConfig #zField
StartEvent TextInP outLink outLink #zField
StartEvent TextInP type type #zField
StartEvent TextInP specificType specificType #zField
StartEvent TextInP template template #zField
StartEvent TextInP templateWizard templateWizard #zField
StartEvent TextInP taskData taskData #zField
StartEvent TextInP wfuser wfuser #zField
StartEvent TextInP roleExceptionId roleExceptionId #zField
StartEvent IO io io #zField
StartEvent S s0 s0 #zField
StartEvent PullArc a0 a0 #zField
StartEvent TQ t0 t0 #zField
StartEvent PullArc ae ae #zField
StartEvent TQ te te #zField
StartEvent PushWFOutG-01 mainOut mainOut #zField
StartEvent io ioPort s0 ioPort #connect
StartEvent s0 out a0 tail #connect
StartEvent a0 head t0 in #connect
StartEvent s0 out ae tail #connect
StartEvent ae head te in #connect
StartEvent t0 out mainOut m #connect
>Proto StartEvent startEvent '' #zField
>Proto startEvent 0 0 26 26 14 0 #rect
>Proto startEvent @|StartEventIcon #fIcon

[Internal position info]
StartEvent io   32  40 16 16  11 -8 #rect
StartEvent s0   42  50 16 16  11 -8 #rect
StartEvent t0   42 100 16 16  11 -8 #rect
StartEvent te  142 100 16 16  11 -8 #rect
StartEvent mainOut  46 150 8  8   5 -7 #rect
StartEvent   0 0 200 158 1 #ivRect

[Abstract Third Party StartEvent]
AbstractThirdPartyStartEvent AbstractThirdPartyStartEvent Big #zClass
AbstractThirdPartyStartEvent AbstractThirdPartyStartEvent #cInfo
AbstractThirdPartyStartEvent CS #inherit
AbstractThirdPartyStartEvent TextInP outerBean outerBean #zField
AbstractThirdPartyStartEvent TextInP beanConfig beanConfig #zField
AbstractThirdPartyStartEvent TextInP outLink outLink #zField
AbstractThirdPartyStartEvent TextInP type type #zField
AbstractThirdPartyStartEvent TextInP specificType specificType #zField
AbstractThirdPartyStartEvent TextInP template template #zField
AbstractThirdPartyStartEvent TextInP templateWizard templateWizard #zField
AbstractThirdPartyStartEvent TextInP taskData taskData #zField
AbstractThirdPartyStartEvent TextInP wfuser wfuser #zField
AbstractThirdPartyStartEvent TextInP roleExceptionId roleExceptionId #zField
AbstractThirdPartyStartEvent IO io io #zField
AbstractThirdPartyStartEvent S s0 s0 #zField
AbstractThirdPartyStartEvent PullArc a0 a0 #zField
AbstractThirdPartyStartEvent TQ t0 t0 #zField
AbstractThirdPartyStartEvent PullArc ae ae #zField
AbstractThirdPartyStartEvent TQ te te #zField
AbstractThirdPartyStartEvent PushWFOutG-01 mainOut mainOut #zField
AbstractThirdPartyStartEvent io ioPort s0 ioPort #connect
AbstractThirdPartyStartEvent s0 out a0 tail #connect
AbstractThirdPartyStartEvent a0 head t0 in #connect
AbstractThirdPartyStartEvent s0 out ae tail #connect
AbstractThirdPartyStartEvent ae head te in #connect
AbstractThirdPartyStartEvent t0 out mainOut m #connect
>Proto AbstractThirdPartyStartEvent abstractThirdPartyStartEvent '' #zField
>Proto abstractThirdPartyStartEvent 0 0 26 26 14 0 #rect
>Proto abstractThirdPartyStartEvent @|StartEventIcon #fIcon

[Internal position info]
AbstractThirdPartyStartEvent io   32  40 16 16  11 -8 #rect
AbstractThirdPartyStartEvent s0   42  50 16 16  11 -8 #rect
AbstractThirdPartyStartEvent t0   42 100 16 16  11 -8 #rect
AbstractThirdPartyStartEvent te  142 100 16 16  11 -8 #rect
AbstractThirdPartyStartEvent mainOut  46 150 8  8   5 -7 #rect
AbstractThirdPartyStartEvent   0 0 200 158 1 #ivRect

StartSub StartSub Big #zClass
StartSub StartSub #cInfo
StartSub CS #inherit
StartSub TextInP inParamDecl inParamDecl #zField
StartSub TextInP inParamInfo inParamInfo #zField
StartSub TextInP inParamTable inParamTable #zField
StartSub TextInP inParamCode inParamCode #zField
StartSub TextInP outParamDecl outParamDecl #zField
StartSub TextInP outParamInfo outParamInfo #zField
StartSub TextInP outParamTable outParamTable #zField
StartSub TextInP outParamCode outParamCode #zField 
StartSub TextInP callSignature callSignature #zField
StartSub S buffer buffer #zField
StartSub IO io io #zField
StartSub PullArc a0 a0 #zField
StartSub TQ t t #zField
StartSub PushWFOutG-01 mainOut mainOut #zField
>Proto StartSub startSub '' #zField
>Proto startSub 0 0 26 26 14 0 #rect
>Proto startSub @|StartSubIcon #fIcon

[Internal position info]
StartSub buffer   42  50 16 16  11 -8 #rect
StartSub t        42 100 16 16  11 -8 #rect
StartSub mainOut  46 150 8  8   5 -7 #rect
StartSub   0 0 100 158 1 #ivRect


[this is the Web service process start element]
StartWS StartWS Big #zClass
StartWS StartWS #cInfo
StartWS CS #inherit
StartWS TextInP outerBean outerBean #zField
StartWS TextInP beanConfig beanConfig #zField

StartWS TextInP inParamNames inParamNames #zField
StartWS TextInP inParamTypes inParamTypes #zField
StartWS TextInP outParamNames outParamNames #zField
StartWS TextInP outParamTypes outParamTypes #zField
StartWS TextInP inParamDecl inParamDecl #zField
StartWS TextInP inParamInfo inParamInfo #zField
StartWS TextInP inParamTable inParamTable #zField
StartWS TextInP inParamCode inParamCode #zField
StartWS TextInP outParamDecl outParamDecl #zField
StartWS TextInP outParamInfo outParamInfo #zField
StartWS TextInP outParamTable outParamTable #zField
StartWS TextInP outParamCode outParamCode #zField 
StartWS TextInP actionDecl actionDecl #zField
StartWS TextInP callSignature callSignature #zField

StartWS TextInP useUserDefinedException useUserDefinedException #zField
StartWS TextInP userDefinedExceptionCondition userDefinedExceptionCondition #zField
StartWS TextInP userDefinedExceptionMessage userDefinedExceptionMessage #zField
StartWS TextInP wsMethodName wsMethodName #zField
StartWS TextInP taskData taskData #zField
StartWS TextInP caseData caseData #zField
StartWS TextInP type type #zField
StartWS TextInP roleExceptionId roleExceptionId #zField

StartWS IO io io #zField
StartWS S s0 s0 #zField
StartWS PullArc a0 a0 #zField
StartWS TQ t0 t0 #zField
StartWS PullArc ae ae #zField
StartWS TQ te te #zField
StartWS PushWFOutG-01 mainOut mainOut #zField
>Proto StartWS startWS '' #zField
>Proto startWS 0 0 26 26 14 0 #rect
>Proto startWS @|StartWSIcon #fIcon

[Internal position info]
StartWS io   32  40 16 16  11 -8 #rect
StartWS s0   42  50 16 16  11 -8 #rect
StartWS t0       42 100 16 16  11 -8 #rect
StartWS te      142 100 16 16  11 -8 #rect
StartWS mainOut  46 150 8  8   5 -7 #rect
StartWS   0 0 200 158 1 #ivRect


EndTask EndTask Big #zClass
EndTask EndTask #cInfo
EndTask CE #inherit
EndTask PushWFInG-0n mainIn mainIn #zField
EndTask S buffer buffer #zField
EndTask PullArc a1 a1 #zField
EndTask TQ t1 t1 #zField
EndTask PushArc a2 a2 #zField
EndTask S s1 s1 #zField
EndTask IO io0 io0 #zField
EndTask mainIn m buffer in #connect
EndTask buffer out a1 tail #connect
EndTask a1 head t1 in #connect
EndTask t1 out a2 tail #connect
EndTask a2 head s1 in #connect
EndTask s1 ioPort io0 ioPort #connect
>Proto EndTask endTask '' #zField
>Proto endTask 0 0 26 26 14 0 #rect
>Proto endTask @|EndIcon #fIcon

[Internal position info]
EndTask  mainIn   46   0  8  8   5 -7 #rect
EndTask  buffer   42  50 16 16  11 -8 #rect
EndTask  t1       42 100 16 16  11 -8 #rect
EndTask  0 0 100 150 1 #ivRect

EndSub EndSub Big #zClass
EndSub EndSub #cInfo
EndSub CE #inherit
EndSub PushWFInG-0n mainIn mainIn #zField
EndSub S buffer buffer #zField
EndSub PullArc a1 a1 #zField
EndSub TQ t1 t1 #zField
EndSub PushArc a2 a2 #zField
EndSub S s2 s2 #zField
EndSub IO io io #zField
EndSub PullArc a3 a3 #zField
EndSub TQ t2 t2 #zField

>Proto EndSub endSub '' #zField
>Proto endSub 0 0 26 26 14 0 #rect
>Proto endSub @|EndSubIcon #fIcon

[Internal position info]
EndSub mainIn   46   0  8  8   5 -7 #rect
EndSub buffer   42  50 16 16  11 -8 #rect
EndSub   0 0 100 150 1 #ivRect


EndRequest EndRequest Big #zClass
EndRequest EndRequest #cInfo
EndRequest CE #inherit
EndRequest TextInP template template #zField
EndRequest PushWFInG-0n mainIn mainIn #zField
EndRequest S buffer buffer #zField
EndRequest PullArc a1 a1 #zField
EndRequest TQ t1 t1 #zField
EndRequest PushArc a2 a2 #zField
EndRequest S s1 s1 #zField
EndRequest IO io0 io0 #zField
>Proto EndRequest endRequest '' #zField
>Proto endRequest 0 0 26 26 14 0 #rect
>Proto endRequest @|EndRequestIcon #fIcon

[Internal position info]
EndRequest  mainIn   46   0  8  8   5 -7 #rect
EndRequest  buffer   42  50 16 16  11 -8 #rect
EndRequest  t1       42 100 16 16  11 -8 #rect
EndRequest  s1       42 150 16 16  11 -8 #rect
EndRequest  io0      32 140 16 16  11 -8 #rect
EndRequest  0 0 100 200 1 #ivRect


[this is the Web service process end element]
EndWS EndWS Big #zClass
EndWS EndWS #cInfo
EndWS CE #inherit
EndWS PushWFInG-0n mainIn mainIn #zField
EndWS S buffer buffer #zField
EndWS PullArc a0 a0 #zField
EndWS TQ t0 t0 #zField
EndWS PushArc a1 a1 #zField
EndWS S s0 s0 #zField
EndWS IO io io #zField
EndWS PullArc a2 a2 #zField
EndWS TQ t1 t1 #zField

>Proto EndWS EndWS '' #zField
>Proto EndWS 0 0 26 26 14 0 #rect
>Proto EndWS @|EndWSIcon #fIcon

[Internal position info]
EndWS  mainIn   46   0  8  8   5 -7 #rect
EndWS  buffer   42  50 16 16  11 -8 #rect
EndWS  t0        42 100 16 16  11 -8 #rect
EndWS  0 0 100 150 1 #ivRect

ProcessException ProcessException Big #zClass
ProcessException ProcessException #cInfo
ProcessException CS #inherit
ProcessException TextInP actionTable actionTable #zField
ProcessException TextInP actionCode actionCode #zField
ProcessException TextInP errorCode errorCode #zField
ProcessException IO io io #zField
ProcessException S buffer buffer #zField
ProcessException PullArc a0 a0 #zField
ProcessException TQ t t #zField
ProcessException PushWFOutG-01 mainOut mainOut #zField
>Proto ProcessException processException '' #zField
>Proto processException 0 0 26 26 14 0 #rect
>Proto processException @|ExceptionIcon #fIcon
[Internal position info]
ProcessException  io       32  40 16 16   5 -7 #rect
ProcessException  buffer   42  50 16 16  11 -8 #rect
ProcessException  t        42 100 16 16  11 -8 #rect
ProcessException  mainOut  46 150  8  8   5 -7 #rect
ProcessException  0 0 100 158 1 #ivRect

SignalStartEvent SignalStartEvent Big #zClass
SignalStartEvent SignalStartEvent #cInfo
SignalStartEvent CS #inherit
SignalStartEvent TextInP actionTable actionTable #zField
SignalStartEvent TextInP actionCode actionCode #zField
SignalStartEvent TextInP signalCode signalCode #zField
SignalStartEvent TextInP attachToBusinessCase attachToBusinessCase #zField
SignalStartEvent PushWFOutG-01 mainOut mainOut #zField
>Proto SignalStartEvent signalStartEvent '' #zField
>Proto signalStartEvent 0 0 26 26 14 0 #rect
>Proto signalStartEvent @|SignalStartEventIcon #fIcon

ErrorBoundaryEvent ErrorBoundaryEvent Big #zClass
ErrorBoundaryEvent ErrorBoundaryEvent #cInfo
ErrorBoundaryEvent CS #inherit
ErrorBoundaryEvent TextInP actionTable actionTable #zField
ErrorBoundaryEvent TextInP actionCode actionCode #zField
ErrorBoundaryEvent TextInP errorCode errorCode #zField
ErrorBoundaryEvent TextInP attachedToRef attachedToRef #zField
ErrorBoundaryEvent PushWFOutG-01 mainOut mainOut #zField
>Proto ErrorBoundaryEvent errorBoundaryEvent '' #zField
>Proto errorBoundaryEvent 0 0 26 26 14 0 #rect
>Proto errorBoundaryEvent @|ErrorBoundaryEventIcon #fIcon

[Internal position info]
ErrorBoundaryEvent  mainOut  46 150  8  8   5 -7 #rect
ErrorBoundaryEvent  0 0 100 158 1 #ivRect

SignalBoundaryEvent SignalBoundaryEvent Big #zClass
SignalBoundaryEvent SignalBoundaryEvent #cInfo
SignalBoundaryEvent CS #inherit
SignalBoundaryEvent TextInP actionTable actionTable #zField
SignalBoundaryEvent TextInP actionCode actionCode #zField
SignalBoundaryEvent TextInP signalCode signalCode #zField
SignalBoundaryEvent TextInP attachedToRef attachedToRef #zField
SignalBoundaryEvent PushWFOutG-01 mainOut mainOut #zField
>Proto SignalBoundaryEvent signalBoundaryEvent '' #zField
>Proto signalBoundaryEvent 0 0 26 26 14 0 #rect
>Proto signalBoundaryEvent @|SignalBoundaryEventIcon #fIcon

[Internal position info]
SignalBoundaryEvent  mainOut  46 150  8  8   5 -7 #rect
SignalBoundaryEvent  0 0 100 158 1 #ivRect

ErrorEnd ErrorEnd Big #zClass
ErrorEnd ErrorEnd #cInfo
ErrorEnd CE #inherit
ErrorEnd S buffer buffer #zField
ErrorEnd TextInP actionTable actionTable #zField
ErrorEnd TextInP actionCode actionCode #zField
ErrorEnd TextInP errorExpr errorExpr #zField
ErrorEnd TextInP errorCode errorCode #zField
ErrorEnd TextInP attachedToRef attachedToRef #zField
ErrorEnd PushWFInG-0n mainIn mainIn #zField
ErrorEnd mainIn m buffer in #connect
>Proto ErrorEnd ErrorEnd '' #zField
>Proto ErrorEnd 0 0 26 26 14 0 #rect
>Proto ErrorEnd @|ErrorEndIcon #fIcon

[Internal position info]
ErrorEnd  mainIn   46   0  8  8   5 -7 #rect
ErrorEnd  0 0 100 158 1 #ivRect

DBStep DBStep Big #zClass
DBStep DBStep #cInfo
DBStep CA #inherit
DBStep TextInP actionDecl actionDecl #zField
DBStep TextInP actionTable actionTable #zField
DBStep TextInP actionCode actionCode #zField
DBStep TextInP dbExceptionId dbExceptionId #zField
DBStep TextInP dbSql dbSql #zField
DBStep TextInP dbUrl dbUrl #zField
DBStep TextInP query query #zField
DBStep TextInP cache cache #zField
DBStep TextInP dbWizard dbWizard #zField
DBStep TextInP fileName fileName #zField
DBStep TextInP lotSize lotSize #zField
DBStep TextInP startIdx startIdx #zField
DBStep TextInP type type #zField
DBStep PushWFInG-0n mainIn mainIn #zField
DBStep S buffer buffer #zField
DBStep buffer type $type$ #txt
DBStep PullArc a0 a0 #zField
DBStep a0 var in #txt
DBStep TQ t0 t0 #zField
DBStep PushArc a1 a1 #zField
DBStep PushArc a11 a11 #zField
DBStep S s0 s0 #zField
DBStep IO bean bean #zField
DBStep S s1 s1 #zField
DBStep PullArc a2 a2 #zField
DBStep PullArc a22 a22 #zField
DBStep TQ te te #zField
DBStep PullArc a3 a3 #zField
DBStep PullArc a33 a33 #zField
DBStep TQ t1 t1 #zField
DBStep PushWFOutG-01 mainOut mainOut #zField
DBStep mainIn m buffer in #connect
DBStep buffer out a0 tail #connect
DBStep a0 head t0 in #connect
DBStep t0 out a1 tail #connect
DBStep a1 head s0 in #connect
DBStep t0 out a11 tail #connect
DBStep a11 head s1 in #connect
DBStep s0 ioPort bean ioPort #connect
DBStep s0 out a2 tail #connect
DBStep a2 head te in #connect
DBStep s1 out a22 tail #connect
DBStep a22 head te in #connect
DBStep s0 out a3 tail #connect
DBStep a3 head t1 in #connect
DBStep s1 out a33 tail #connect
DBStep a33 head t1 in #connect
DBStep t1 out mainOut m #connect
>Proto DBStep dbstep '' #zField
>Proto dbstep 0 0 36 24 20 -2 #rect
>Proto dbstep @|DBStepIcon #fIcon


[Internal position info]
DBStep  mainIn  146   0  8  8   5 -7 #rect
DBStep  buffer  142  50 16 16  11 -8 #rect
DBStep  t0      142 100 16 16  11 -8 #rect
DBStep  bean     32 140 16 16  11 -8 #rect
DBStep  s0       42 150 16 16  11 -8 #rect
DBStep  s1      242 150 16 16  11 -8 #rect
DBStep  te      142 150 16 16  11  0 #rect
DBStep  t1      142 200 16 16  11 -8 #rect
DBStep  mainOut 146 250  8  8   5 -7 #rect
DBStep  0 0 300 258 1 #ivRect


[umk, 18.1.2001]
ProgramInterface ProgramInterface Big #zClass
ProgramInterface CA #inherit
ProgramInterface ProgramInterface #cInfo
ProgramInterface TextInP type type #zField
ProgramInterface TextInP specificType specificType #zField
ProgramInterface TextInP outerBean outerBean #zField
ProgramInterface TextInP testData testData #zField
ProgramInterface TextInP timeout timeout #zField
ProgramInterface TextInP beanConfig beanConfig #zField
ProgramInterface TextInP exceptionHandler exceptionHandler #zField
ProgramInterface TextInP timeoutExceptionHandler timeoutExceptionHandler #zField
ProgramInterface PushWFInG-0n mainIn mainIn #zField
ProgramInterface S buffer buffer #zField
ProgramInterface PullArc a0 a0 #zField
ProgramInterface TQ t0 t0 #zField
ProgramInterface PushArc aTrans aTrans #zField
ProgramInterface S transfer transfer #zField
ProgramInterface IO bean bean #zField
ProgramInterface PullArc aTransOut aTransOut #zField
ProgramInterface TQ out out #zField
ProgramInterface PushWFOutG-01 mainOut mainOut #zField
ProgramInterface PullArc aTransErrIgnore aTransErrIgnore #zField
ProgramInterface PullArc aTransErr aTransErr #zField
ProgramInterface TQ tErrIgnore tErrIgnore #zField
ProgramInterface TQ tErr tErr #zField
ProgramInterface TQ tTimeout tTimeout #zField
ProgramInterface PullArc aTransTimeout aTransTimeout #zField

ProgramInterface mainIn m buffer in #connect
ProgramInterface buffer out a0 tail #connect
ProgramInterface a0 head t0 in #connect
ProgramInterface t0 out aTrans tail #connect
ProgramInterface aTrans head transfer in #connect
ProgramInterface transfer ioPort bean ioPort #connect
ProgramInterface transfer out aTransErr tail #connect
ProgramInterface aTransErr head tErr in #connect
ProgramInterface transfer out aTransTimeout tail #connect
ProgramInterface aTransTimeout head tTimeout in #connect
ProgramInterface transfer out aTransOut tail #connect
ProgramInterface aTransOut head out in #connect
ProgramInterface transfer out aTransErrIgnore tail #connect
ProgramInterface aTransErrIgnore head tErrIgnore in #connect
ProgramInterface tErrIgnore out mainOut m #connect
ProgramInterface out out mainOut m #connect

>Proto ProgramInterface programInterface '' #zField
>Proto programInterface 0 0 36 24 20 -2 #rect
>Proto programInterface @|ProgramInterfaceIcon #fIcon


>Proto programInterface outerBean "" #txt
>Proto programInterface beanConfig "" #txt
[Internal position info]
ProgramInterface  mainIn      46   0  8  8   5 -7 #rect
ProgramInterface  buffer      42  50 16 16  11 -8 #rect
ProgramInterface  t0          42 100 16 16  11 -8 #rect
ProgramInterface  bean        32 140 16 16  11 -8 #rect
ProgramInterface  transfer    42 150 16 16  11 -8 #rect
ProgramInterface  tErrIgnore 142 200 16 16  11 -8 #rect
ProgramInterface  tErr       242 150 16 16  11 -8 #rect
ProgramInterface  tTimeout   242  50 16 16  11 -8 #rect
ProgramInterface  out         42 200 16 16  11 -8 #rect
ProgramInterface  mainOut     96 250  8  8   5 -7 #rect
ProgramInterface  0 0 300 258 1 #ivRect


[umk, 18.1.2001]
AbstractThirdPartyProgramInterface AbstractThirdPartyProgramInterface Big #zClass
AbstractThirdPartyProgramInterface CA #inherit
AbstractThirdPartyProgramInterface ThirdPartyProgramInterface #cInfo
AbstractThirdPartyProgramInterface TextInP type type #zField
AbstractThirdPartyProgramInterface TextInP specificType specificType #zField
AbstractThirdPartyProgramInterface TextInP testData testData #zField
AbstractThirdPartyProgramInterface TextInP timeout timeout #zField
AbstractThirdPartyProgramInterface TextInP beanConfig beanConfig #zField
AbstractThirdPartyProgramInterface TextInP exceptionHandler exceptionHandler #zField
AbstractThirdPartyProgramInterface TextInP timeoutExceptionHandler timeoutExceptionHandler #zField
AbstractThirdPartyProgramInterface PushWFInG-0n mainIn mainIn #zField
AbstractThirdPartyProgramInterface S buffer buffer #zField
AbstractThirdPartyProgramInterface PullArc a0 a0 #zField
AbstractThirdPartyProgramInterface TQ t0 t0 #zField
AbstractThirdPartyProgramInterface PushArc aTrans aTrans #zField
AbstractThirdPartyProgramInterface S transfer transfer #zField
AbstractThirdPartyProgramInterface PullArc aTransOut aTransOut #zField
AbstractThirdPartyProgramInterface TQ out out #zField
AbstractThirdPartyProgramInterface PushWFOutG-01 mainOut mainOut #zField
AbstractThirdPartyProgramInterface PullArc aTransErrIgnore aTransErrIgnore #zField
AbstractThirdPartyProgramInterface PullArc aTransErr aTransErr #zField
AbstractThirdPartyProgramInterface TQ tErrIgnore tErrIgnore #zField
AbstractThirdPartyProgramInterface TQ tErr tErr #zField
AbstractThirdPartyProgramInterface TQ tTimeout tTimeout #zField
AbstractThirdPartyProgramInterface PullArc aTransTimeout aTransTimeout #zField

AbstractThirdPartyProgramInterface mainIn m buffer in #connect
AbstractThirdPartyProgramInterface buffer out a0 tail #connect
AbstractThirdPartyProgramInterface a0 head t0 in #connect
AbstractThirdPartyProgramInterface t0 out aTrans tail #connect
AbstractThirdPartyProgramInterface aTrans head transfer in #connect

AbstractThirdPartyProgramInterface transfer out aTransErr tail #connect
AbstractThirdPartyProgramInterface aTransErr head tErr in #connect

AbstractThirdPartyProgramInterface transfer out aTransTimeout tail #connect
AbstractThirdPartyProgramInterface aTransTimeout head tTimeout in #connect

AbstractThirdPartyProgramInterface transfer out aTransOut tail #connect
AbstractThirdPartyProgramInterface aTransOut head out in #connect

AbstractThirdPartyProgramInterface transfer out aTransErrIgnore tail #connect
AbstractThirdPartyProgramInterface aTransErrIgnore head tErrIgnore in #connect

>Proto AbstractThirdPartyProgramInterface abstractThirdPartyProgramInterface '' #zField
>Proto abstractThirdPartyProgramInterface 0 0 36 24 20 -2 #rect
>Proto abstractThirdPartyProgramInterface @|ProgramInterfaceIcon #fIcon


>Proto abstractThirdPartyProgramInterface beanConfig "" #txt
[Internal position info]
AbstractThirdPartyProgramInterface  mainIn      46   0  8  8   5 -7 #rect
AbstractThirdPartyProgramInterface  buffer      42  50 16 16  11 -8 #rect
AbstractThirdPartyProgramInterface  t0          42 100 16 16  11 -8 #rect
AbstractThirdPartyProgramInterface  transfer    42 150 16 16  11 -8 #rect
AbstractThirdPartyProgramInterface  tErrIgnore 142 200 16 16  11 -8 #rect
AbstractThirdPartyProgramInterface  tErr       242 150 16 16  11 -8 #rect
AbstractThirdPartyProgramInterface  tTimeout   242  50 16 16  11 -8 #rect
AbstractThirdPartyProgramInterface  out         42 200 16 16  11 -8 #rect
AbstractThirdPartyProgramInterface  mainOut     96 250  8  8   5 -7 #rect
AbstractThirdPartyProgramInterface  0 0 300 258 1 #ivRect


[rwei/pk]
WSElement WSElement Big #zClass
WSElement CA #inherit
WSElement WSElement #cInfo
WSElement TextInP actionTable actionTable #zField
WSElement TextInP actionCode actionCode #zField
WSElement TextInP cache cache #zField
WSElement TextInP clientId clientId #zField
WSElement TextInP port port #zField
WSElement TextInP operation operation #zField
WSElement TextInP properties properties #zField
WSElement TextInP inputParams inputParams #zField
WSElement TextInP exceptionHandler exceptionHandler #zField

[deprecated: but still read by conversion tasks]
WSElement TextInP beanConfig beanConfig #zField
WSElement TextInP timeout timeout #zField
WSElement TextInP timeoutExceptionHandler timeoutExceptionHandler #zField

WSElement PushWFInG-0n mainIn mainIn #zField
WSElement S buffer buffer #zField
WSElement PullArc a0 a0 #zField
WSElement TQ t0 t0 #zField
WSElement PushArc aTrans aTrans #zField
WSElement S transfer transfer #zField
WSElement IO bean bean #zField
WSElement PullArc aTransErrIgnore aTransErrIgnore #zField
WSElement TQ tErrIgnore tErrIgnore #zField
WSElement PullArc aTransNoErr aTransNoErr #zField
WSElement TQ tNoErr tNoErr #zField
WSElement PushArc a1 a1 #zField
WSElement S s1 s1 #zField
WSElement PullArc aTransOut aTransOut #zField
WSElement TQ out out #zField
WSElement PushWFOutG-01 mainOut mainOut #zField
WSElement PullArc aTransErr aTransErr #zField
WSElement TQ tErr tErr #zField
WSElement TQ tTimeout tTimeout #zField
WSElement PullArc aTransTimeout aTransTimeout #zField

>Proto WSElement wsElement '' #zField
>Proto wsElement 0 0 36 24 20 -2 #rect
>Proto wsElement @|WebServiceIcon #fIcon

[Internal position info]
WSElement  mainIn      46   0  8  8   5 -7 #rect
WSElement  buffer      42  50 16 16  11 -8 #rect
WSElement  t0          42 100 16 16  11 -8 #rect
WSElement  bean        32 140 16 16  11 -8 #rect
WSElement  transfer    42 150 16 16  11 -8 #rect
WSElement  tErrIgnore 142 200 16 16  11 -8 #rect
WSElement  tErr       242 150 16 16  11 -8 #rect
WSElement  tTimeout   242  50 16 16  11 -8 #rect
WSElement  out         42 200 16 16  11 -8 #rect
WSElement  mainOut     96 250  8  8   5 -7 #rect
WSElement  0 0 300 258 1 #ivRect


[Rest Call]
RestClientCall RestClientCall Big #zClass
RestClientCall CA #inherit
RestClientCall RestClientCall #cInfo
RestClientCall TextInP clientId clientId #zField
RestClientCall TextInP path path #zField
RestClientCall TextInP queryParams queryParams #zField
RestClientCall TextInP templateParams templateParams #zField
RestClientCall TextInP headers headers #zField
RestClientCall TextInP properties properties #zField
RestClientCall TextInP method method #zField
RestClientCall TextInP clientCode clientCode #zField

RestClientCall TextInP bodyInputType bodyInputType #zField
RestClientCall TextInP bodyMediaType bodyMediaType #zField
RestClientCall TextInP bodyRaw bodyRaw #zField
RestClientCall TextInP bodyForm bodyForm #zField
[legacy -> migrate to 'bodyObjectCode' ]
RestClientCall TextInP bodyEntity bodyEntity #zField
[/legacy]
RestClientCall TextInP bodyObjectType bodyObjectType #zField
RestClientCall TextInP bodyObjectMapping bodyObjectMapping #zField
RestClientCall TextInP bodyObjectCode bodyObjectCode #zField

RestClientCall TextInP resultType resultType #zField
RestClientCall TextInP responseMapping responseMapping #zField
RestClientCall TextInP responseCode responseCode #zField
RestClientCall TextInP clientErrorCode clientErrorCode #zField
RestClientCall TextInP statusErrorCode statusErrorCode #zField
RestClientCall PushWFInG-0n mainIn mainIn #zField
RestClientCall S buffer buffer #zField
RestClientCall PullArc a a #zField
RestClientCall TQ t t #zField
RestClientCall PushWFOutG-01 mainOut mainOut #zField

RestClientCall mainIn m buffer in #connect
RestClientCall buffer out a tail #connect
RestClientCall a head t in #connect
RestClientCall t out mainOut m #connect
>Proto RestClientCall restClientCall '' #zField
>Proto restClientCall 0 0 36 24 20 -2 #rect
>Proto restClientCall @|RestClientCallIcon #fIcon
[Internal position info]
RestClientCall mainIn 46 0 8 8 5 -5 #rect
RestClientCall buffer 42 50 16 16  11 -8 #rect
RestClientCall t 42 150 16 16  11 -8 #rect
RestClientCall a 50 66 50 150 #arcP
RestClientCall mainOut 46 200 8 8  5 -7 #rect
RestClientCall 0 0 100 208 1 #ivRect


[umk, 19.11.2002]
CallSub CallSub Big #zClass
CallSub CA #inherit
CallSub CallSub #cInfo
CallSub TextInP processCall processCall #zField
CallSub TextInP requestActionDecl requestActionDecl #zField
CallSub TextInP requestMappingAction requestMappingAction #zField
CallSub TextInP requestActionCode requestActionCode #zField
CallSub TextInP responseActionDecl responseActionDecl #zField
CallSub TextInP responseMappingAction responseMappingAction #zField
CallSub TextInP responseActionCode responseActionCode #zField

CallSub PushWFInG-0n mainIn mainIn #zField
CallSub S buffer buffer #zField
CallSub PullArc a0 a0 #zField
CallSub TQ t0 t0 #zField
CallSub S backBuffer backBuffer #zField
CallSub IO io1 io1 #zField
CallSub PullArc a3 a3 #zField
CallSub TQ t2 t2 #zField
CallSub PushArc a12 a12 #zField
CallSub S s2 s2 #zField
CallSub PullArc a14 a14 #zField
CallSub TQ t7 t7 #zField
CallSub PullArc a4 a4 #zField
CallSub TQ t3 t3 #zField
CallSub PushArc a5 a5 #zField
CallSub PushArc a6 a6 #zField
CallSub S s1 s1 #zField
CallSub PullArc a7 a7 #zField
CallSub TQ t4 t4 #zField
CallSub PullArc a8 a8 #zField
CallSub TQ t5 t5 #zField
CallSub PushArc a9 a9 #zField
CallSub S sExtCall sExtCall #zField
CallSub IO io2 io2 #zField
CallSub PullArc a10 a10 #zField
CallSub PullArc a15 a15 #zField
CallSub TQ t8 t8 #zField
CallSub TQ t6 t6 #zField
CallSub PushArc a11 a11 #zField
CallSub PushWFOutG-01 mainOut mainOut #zField

>Proto CallSub callSub '' #zField
>Proto callSub 0 0 36 24 20 -2 #rect
>Proto callSub @|CallSubIcon #fIcon

[Internal position info]
CallSub  mainIn      46   0  8  8   5 -7 #rect
CallSub  buffer      42  50 16 16  11 -8 #rect
CallSub  backBuffer  42 150 16 16  11 -8 #rect
CallSub  mainOut     46 250  8  8   5 -7 #rect
CallSub  0 0 200 258 1 #ivRect


[umk 31.3.2000: Uses SendMail-Bean]
[tkis 08.01.2008: Bean based exec - does not block ivy engine]
EMail EMail Big #zClass
EMail CA #inherit
EMail EMail #cInfo
EMail TextInP emailMessage emailMessage #zField
EMail TextInP emailAttachments emailAttachments #zField
EMail TextInP emailAttachmentList emailAttachmentList #zField
EMail TextInP emailSubject emailSubject #zField
EMail TextInP emailFrom emailFrom #zField
EMail TextInP emailReplyTo emailReplyTo #zField
EMail TextInP emailTo emailTo #zField
EMail TextInP emailCC emailCC #zField
EMail TextInP emailBCC emailBCC #zField
[EMail TextInP emailFCC emailFCC #zField]
EMail TextInP beanConfig beanConfig #zField
EMail TextInP type type #zField
[new fields]
EMail TextInP timeout timeout #zField
EMail TextInP timeoutExceptionHandler timeoutExceptionHandler #zField
[END of new fields]
EMail TextInP exceptionHandler exceptionHandler #zField

EMail PushWFInG-0n mainIn mainIn #zField
EMail S buffer buffer #zField
EMail PullArc a0 a0 #zField
EMail TQ t0 t0 #zField
EMail PushArc aTrans aTrans #zField
EMail S transfer transfer #zField
EMail IO bean bean #zField
EMail PullArc aTransErrIgnore aTransErrIgnore #zField
EMail TQ tErrIgnore tErrIgnore #zField
EMail  PullArc aTransNoErr aTransNoErr #zField
EMail  TQ tNoErr tNoErr #zField
EMail  PushWFOutG-01 mainOut mainOut #zField
[EMail  S s1 s1 #zField
  EMail  s1 type List #txt
  EMail  PullArc aTransOut aTransOut #zField
  EMail  aTransOut var in #txt
  EMail  TQ out out #zField]
EMail  PullArc aTransErr aTransErr #zField
EMail  aTransErr var '[status, in, exception]' #txt
EMail  TQ tErr tErr #zField
EMail  TQ tTimeout tTimeout #zField
EMail  PullArc aTransTimeout aTransTimeout #zField

EMail  mainIn m buffer in #connect
EMail  buffer out a0 tail #connect
EMail  a0 head t0 in #connect
EMail  t0 out aTrans tail #connect
EMail  aTrans head transfer in #connect
EMail  transfer ioPort bean ioPort #connect
EMail  transfer out aTransErr tail #connect
EMail  aTransErr head tErr in #connect
EMail  transfer out aTransTimeout tail #connect
EMail  aTransTimeout head tTimeout in #connect
EMail  transfer out aTransNoErr tail #connect
EMail  aTransNoErr head tNoErr in #connect
EMail  tNoErr out mainOut m #connect
EMail  transfer out aTransErrIgnore tail #connect
EMail  aTransErrIgnore head tErrIgnore in #connect
EMail  tErrIgnore out mainOut m #connect

>Proto EMail email '' #zField
>Proto email 0 0 36 24 20 -2 #rect
>Proto email @|EMailIcon #fIcon
>Proto email timeout 0 #txt
>Proto email beanConfig "" #txt

[Internal position info]
EMail  mainIn      46   0  8  8   5 -7 #rect
EMail  buffer      42  50 16 16  11 -8 #rect
EMail  t0          42 100 16 16  11 -8 #rect
EMail  bean        32 140 16 16  11 -8 #rect
EMail  transfer    42 150 16 16  11 -8 #rect
EMail  tErrIgnore 142 200 16 16  11 -8 #rect
EMail  tErr       242 150 16 16  11 -8 #rect
EMail  tTimeout   242  50 16 16  11 -8 #rect
[EMail  out         42 200 16 16  11 -8 #rect]
EMail  mainOut     96 250  8  8   5 -7 #rect
EMail  0 0 300 258 1 #ivRect


TaskSwitch TaskSwitch Big #zClass
TaskSwitch CA #inherit
TaskSwitch TaskSwitch #cInfo
TaskSwitch TextInP actionTable actionTable #zField
TaskSwitch TextInP actionCode actionCode #zField
TaskSwitch TextInP outLinks outLinks #zField
TaskSwitch TextInP caseData caseData #zField
TaskSwitch TextInP taskData taskData #zField
TaskSwitch TextInP template template #zField
TaskSwitch TkInG-0n in in #zField
TaskSwitch TQ t1 t1 #zField
TaskSwitch PushArc a1 a1 #zField
TaskSwitch S s0 s0 #zField
TaskSwitch IO io0 io0 #zField
TaskSwitch IO io1 io1 #zField
TaskSwitch S s1 s1 #zField
TaskSwitch PullArc a2 a2 #zField
TaskSwitch D t3 t3 #zField
TaskSwitch PushWFOutG-0n out out #zField
TaskSwitch in m t1 in #connect
TaskSwitch t1 out a1 tail #connect
TaskSwitch a1 head s0 in #connect
TaskSwitch s0 ioPort io0 ioPort #connect
TaskSwitch io1 ioPort s1 ioPort #connect
TaskSwitch s1 out a2 tail #connect
TaskSwitch a2 head t3 in #connect
TaskSwitch t3 out out m #connect
>Proto TaskSwitch taskSwitch '' #zField
>Proto taskSwitch 0 0 28 28 14 0 #rect
>Proto taskSwitch @|TaskSwitchIcon #fIcon

[Internal position info]
TaskSwitch  in      46   0  8  8   5 -7 #rect
TaskSwitch  t1      42  50 16 16  11 -8 #rect
TaskSwitch  s0      42 100 16 16  11 -8 #rect
TaskSwitch  io0     32  90 16 16  11 -8 #rect
TaskSwitch  s1      42 150 16 16  11 -8 #rect
TaskSwitch  io1     32 140 16 16  11 -8 #rect
TaskSwitch  t3      42 200 16 16  11 -8 #rect
TaskSwitch  out     46 250  8  8   5 -7 #rect
TaskSwitch  0 0 100 258 1 #ivRect


TaskSwitchSimple TaskSwitchSimple Big #zClass
TaskSwitchSimple CA #inherit
TaskSwitchSimple TaskSwitchSimple #cInfo
TaskSwitchSimple TextInP actionTable actionTable #zField
TaskSwitchSimple TextInP actionCode actionCode #zField
TaskSwitchSimple TextInP outLinks outLinks #zField
TaskSwitchSimple TextInP caseData caseData #zField
TaskSwitchSimple TextInP taskData taskData #zField
TaskSwitchSimple TextInP template template #zField
TaskSwitchSimple TkInG-01 in in #zField
TaskSwitchSimple TQ t1 t1 #zField
TaskSwitchSimple PushArc a1 a1 #zField
TaskSwitchSimple S s0 s0 #zField
TaskSwitchSimple IO io0 io0 #zField
TaskSwitchSimple IO io1 io1 #zField
TaskSwitchSimple S s1 s1 #zField
TaskSwitchSimple PullArc a2 a2 #zField
TaskSwitchSimple D t3 t3 #zField
TaskSwitchSimple PushWFOutG-01 out out #zField
TaskSwitchSimple in m t1 in #connect
TaskSwitchSimple t1 out a1 tail #connect
TaskSwitchSimple a1 head s0 in #connect
TaskSwitchSimple s0 ioPort io0 ioPort #connect
TaskSwitchSimple io1 ioPort s1 ioPort #connect
TaskSwitchSimple s1 out a2 tail #connect
TaskSwitchSimple a2 head t3 in #connect
TaskSwitchSimple t3 out out m #connect
>Proto TaskSwitchSimple taskSwitchSimple '' #zField
>Proto taskSwitchSimple 0 0 28 28 14 0 #rect
>Proto taskSwitchSimple @|TaskSwitchSimpleIcon #fIcon

[Internal position info]
TaskSwitchSimple  in      46   0  8  8   5 -7 #rect
TaskSwitchSimple  t1      42  50 16 16  11 -8 #rect
TaskSwitchSimple  s0      42 100 16 16  11 -8 #rect
TaskSwitchSimple  io0     32  90 16 16  11 -8 #rect
TaskSwitchSimple  s1      42 150 16 16  11 -8 #rect
TaskSwitchSimple  io1     32 140 16 16  11 -8 #rect
TaskSwitchSimple  t3      42 200 16 16  11 -8 #rect
TaskSwitchSimple  out     46 250  8  8   5 -7 #rect
TaskSwitchSimple  0 0 100 258 1 #ivRect


IntermediateEvent IntermediateEvent Big #zClass
IntermediateEvent CG #inherit
IntermediateEvent IntermediateEvent #cInfo
IntermediateEvent TextInP actionTable actionTable #zField
IntermediateEvent TextInP actionCode actionCode #zField
IntermediateEvent TextInP eventIdConfig eventIdConfig #zField
IntermediateEvent TextInP timeoutConfig timeoutConfig #zField
IntermediateEvent TextInP taskData taskData #zField
IntermediateEvent TextInP eventBeanClass eventBeanClass #zField
IntermediateEvent TextInP eventBeanConfig eventBeanConfig #zField

IntermediateEvent PushWFInG-0n mainIn mainIn #zField
IntermediateEvent S buffer buffer #zField
IntermediateEvent PullArc a0 a0 #zField
IntermediateEvent TQ t0 t0 #zField
IntermediateEvent PushArc a1 a1 #zField
IntermediateEvent S s0 s0 #zField
IntermediateEvent IO io0 io0 #zField
IntermediateEvent IO io1 io1 #zField
IntermediateEvent S s1 s1 #zField
IntermediateEvent PullArc a2 a2 #zField
IntermediateEvent TQ t1 t1 #zField
IntermediateEvent PushArc a3 a3 #zField
IntermediateEvent S s2 s2 #zField
IntermediateEvent IO io2 io2 #zField
IntermediateEvent IO io3 io3 #zField
IntermediateEvent S s3 s3 #zField
IntermediateEvent PullArc a4 a4 #zField
IntermediateEvent TQ t2 t2 #zField
IntermediateEvent PushWFOutG-01 mainOut mainOut #zField
IntermediateEvent mainIn m buffer in #connect
IntermediateEvent buffer out a0 tail #connect
IntermediateEvent a0 head t0 in #connect
IntermediateEvent t0 out a1 tail #connect
IntermediateEvent a1 head s0 in #connect
IntermediateEvent s0 ioPort io0 ioPort #connect
IntermediateEvent io1 ioPort s1 ioPort #connect
IntermediateEvent s1 out a2 tail #connect
IntermediateEvent a2 head t1 in #connect
IntermediateEvent t1 out a3 tail #connect
IntermediateEvent a3 head s2 in #connect
IntermediateEvent s2 ioPort io2 ioPort #connect
IntermediateEvent io3 ioPort s3 ioPort #connect
IntermediateEvent s3 out a4 tail #connect
IntermediateEvent a4 head t2 in #connect
IntermediateEvent t2 out mainOut m #connect

>Proto IntermediateEvent IntermediateEvent '' #zField
>Proto IntermediateEvent 0 0 28 28 14 0 #rect
>Proto IntermediateEvent @|IntermediateEventIcon #fIcon

[Internal position info]
IntermediateEvent  mainIn      46   0  8  8   5 -7 #rect
IntermediateEvent  t1      42  50 16 16  11 -8 #rect
IntermediateEvent  s0      42 100 16 16  11 -8 #rect
IntermediateEvent  io0     32  90 16 16  11 -8 #rect
IntermediateEvent  s1      42 150 16 16  11 -8 #rect
IntermediateEvent  io1     32 140 16 16  11 -8 #rect
IntermediateEvent  t2      42 200 16 16  11 -8 #rect
IntermediateEvent  mainOut     46 250  8  8   5 -7 #rect
IntermediateEvent  0 0 100 258 1 #ivRect

[Abstract Third Party Intermediate Event]
AbstractThirdPartyIntermediateEvent AbstractThirdPartyIntermediateEvent Big #zClass
AbstractThirdPartyIntermediateEvent CG #inherit
AbstractThirdPartyIntermediateEvent ThirdPartyIntermediateEvent #cInfo
AbstractThirdPartyIntermediateEvent TextInP actionTable actionTable #zField
AbstractThirdPartyIntermediateEvent TextInP actionCode actionCode #zField
AbstractThirdPartyIntermediateEvent TextInP eventIdConfig eventIdConfig #zField
AbstractThirdPartyIntermediateEvent TextInP timeoutConfig timeoutConfig #zField
AbstractThirdPartyIntermediateEvent TextInP taskData taskData #zField
AbstractThirdPartyIntermediateEvent TextInP eventBeanConfig eventBeanConfig #zField
AbstractThirdPartyIntermediateEvent TextInP eventBeanClass eventBeanClass #zField

AbstractThirdPartyIntermediateEvent PushWFInG-0n mainIn mainIn #zField
AbstractThirdPartyIntermediateEvent S buffer buffer #zField
AbstractThirdPartyIntermediateEvent PullArc a0 a0 #zField
AbstractThirdPartyIntermediateEvent TQ t0 t0 #zField
AbstractThirdPartyIntermediateEvent PushArc a1 a1 #zField
AbstractThirdPartyIntermediateEvent S s0 s0 #zField
AbstractThirdPartyIntermediateEvent IO io0 io0 #zField
AbstractThirdPartyIntermediateEvent IO io1 io1 #zField
AbstractThirdPartyIntermediateEvent S s1 s1 #zField
AbstractThirdPartyIntermediateEvent PullArc a2 a2 #zField
AbstractThirdPartyIntermediateEvent TQ t1 t1 #zField
AbstractThirdPartyIntermediateEvent PushArc a3 a3 #zField
AbstractThirdPartyIntermediateEvent S s2 s2 #zField
AbstractThirdPartyIntermediateEvent IO io2 io2 #zField
AbstractThirdPartyIntermediateEvent IO io3 io3 #zField
AbstractThirdPartyIntermediateEvent S s3 s3 #zField
AbstractThirdPartyIntermediateEvent PullArc a4 a4 #zField
AbstractThirdPartyIntermediateEvent TQ t2 t2 #zField
AbstractThirdPartyIntermediateEvent PushWFOutG-01 mainOut mainOut #zField
AbstractThirdPartyIntermediateEvent mainIn m buffer in #connect
AbstractThirdPartyIntermediateEvent buffer out a0 tail #connect
AbstractThirdPartyIntermediateEvent a0 head t0 in #connect
AbstractThirdPartyIntermediateEvent t0 out a1 tail #connect
AbstractThirdPartyIntermediateEvent a1 head s0 in #connect
AbstractThirdPartyIntermediateEvent s0 ioPort io0 ioPort #connect
AbstractThirdPartyIntermediateEvent io1 ioPort s1 ioPort #connect
AbstractThirdPartyIntermediateEvent s1 out a2 tail #connect
AbstractThirdPartyIntermediateEvent a2 head t1 in #connect
AbstractThirdPartyIntermediateEvent t1 out a3 tail #connect
AbstractThirdPartyIntermediateEvent a3 head s2 in #connect
AbstractThirdPartyIntermediateEvent s2 ioPort io2 ioPort #connect
AbstractThirdPartyIntermediateEvent io3 ioPort s3 ioPort #connect
AbstractThirdPartyIntermediateEvent s3 out a4 tail #connect
AbstractThirdPartyIntermediateEvent a4 head t2 in #connect
AbstractThirdPartyIntermediateEvent t2 out mainOut m #connect

>Proto AbstractThirdPartyIntermediateEvent AbstractThirdPartyIntermediateEvent '' #zField
>Proto AbstractThirdPartyIntermediateEvent 0 0 28 28 14 0 #rect
>Proto AbstractThirdPartyIntermediateEvent @|IntermediateEventIcon #fIcon

[Internal position info]
AbstractThirdPartyIntermediateEvent  mainIn      46   0  8  8   5 -7 #rect
AbstractThirdPartyIntermediateEvent  t1      42  50 16 16  11 -8 #rect
AbstractThirdPartyIntermediateEvent  s0      42 100 16 16  11 -8 #rect
AbstractThirdPartyIntermediateEvent  io0     32  90 16 16  11 -8 #rect
AbstractThirdPartyIntermediateEvent  s1      42 150 16 16  11 -8 #rect
AbstractThirdPartyIntermediateEvent  io1     32 140 16 16  11 -8 #rect
AbstractThirdPartyIntermediateEvent  t2      42 200 16 16  11 -8 #rect
AbstractThirdPartyIntermediateEvent  mainOut     46 250  8  8   5 -7 #rect
AbstractThirdPartyIntermediateEvent  0 0 100 258 1 #ivRect


UserDialog UserDialog Big #zClass
UserDialog CA #inherit
UserDialog UserDialog #cInfo
UserDialog TextInP dialogId dialogId #zField
UserDialog TextInP startMethod startMethod #zField
UserDialog TextInP requestActionDecl requestActionDecl #zField
UserDialog TextInP requestMappingAction requestMappingAction #zField
UserDialog TextInP requestActionCode requestActionCode #zField
UserDialog TextInP responseActionDecl responseActionDecl #zField
UserDialog TextInP responseMappingAction responseMappingAction #zField
UserDialog TextInP responseActionCode responseActionCode #zField
UserDialog PushWFInG-0n mainIn mainIn #zField
UserDialog S buffer buffer #zField
UserDialog PullArc a a #zField
UserDialog TQ t t #zField
UserDialog PushWFOutG-01 mainOut mainOut #zField

UserDialog mainIn m buffer in #connect
UserDialog buffer out a tail #connect
UserDialog a head t in #connect
UserDialog t out mainOut m #connect

[Internal position info]
UserDialog mainIn 46 0 8 8 5 -5 #rect
UserDialog buffer 42 50 16 16  11 -8 #rect
UserDialog t 42 150 16 16  11 -8 #rect
UserDialog a 50 66 50 150 #arcP
UserDialog mainOut 46 200 8 8  5 -7 #rect
UserDialog 0 0 100 208 1 #ivRect
>Proto UserDialog richDialog '' #zField
>Proto richDialog 0 0 36 24 20 -2 #rect
>Proto richDialog @|UserDialogIcon #fIcon

UdExitEnd UdExitEnd Big #zClass
UdExitEnd UdExitEnd #cInfo
UdExitEnd CE #inherit
UdExitEnd PushWFInG-0n mainIn mainIn #zField
UdExitEnd S buffer buffer #zField
UdExitEnd PullArc a1 a1 #zField
UdExitEnd TQ t1 t1 #zField
UdExitEnd PushArc a2 a2 #zField
UdExitEnd S s1 s1 #zField
UdExitEnd IO io0 io0 #zField

UdExitEnd mainIn m buffer in #connect
UdExitEnd buffer out a1 tail #connect
UdExitEnd a1 head t1 in #connect
UdExitEnd t1 out a2 tail #connect
UdExitEnd a2 head s1 in #connect
UdExitEnd s1 ioPort io0 ioPort #connect

>Proto UdExitEnd richDialogEnd '' #zField
>Proto richDialogEnd 0 0 20 20 13 0 #rect
>Proto richDialogEnd @|UdExitEndIcon #fIcon

[Internal position info]
UdExitEnd  mainIn   46   0  8  8   5 -7 #rect
UdExitEnd  buffer   42  50 16 16  11 -8 #rect
UdExitEnd  t1       42 100 16 16  11 -8 #rect
UdExitEnd  0 0 100 150 1 #ivRect

UdEvent UdEvent Big #zClass
UdEvent UdEvent #cInfo
UdEvent CS #inherit
UdEvent TextInP guid guid #zField
UdEvent TextInP actionTable actionTable #zField
UdEvent TextInP actionCode actionCode #zField
UdEvent IO io io #zField
UdEvent S s0 s0 #zField
UdEvent PullArc a2 a2 #zField
UdEvent TQ t1 t1 #zField
UdEvent PushArc a3 a3 #zField
UdEvent S s2 s2 #zField
UdEvent PullArc a4 a4 #zField
UdEvent TQ t2 t2 #zField
UdEvent PushWFOutG-01 mainOut mainOut #zField

UdEvent io ioPort s0 ioPort #connect
UdEvent s0 out a2 tail #connect
UdEvent a2 head t1 in #connect
UdEvent t1 out a3 tail #connect
UdEvent a3 head s2 in #connect
UdEvent s2 out a4 tail #connect
UdEvent a4 head t2 in #connect
UdEvent t2 out mainOut m #connect

>Proto UdEvent richDialogProcessStart '' #zField
>Proto richDialogProcessStart 0 0 20 20 13 0 #rect
>Proto richDialogProcessStart @|UdEventIcon #fIcon

[Internal position info]
UdEvent io   32  40 16 16  11 -8 #rect
UdEvent s0   42  50 16 16  11 -8 #rect
UdEvent mainOut  46 150 8  8   5 -7 #rect
UdEvent   0 0 200 158 1 #ivRect


UdMethod UdMethod Big #zClass
UdMethod UdMethod #cInfo
UdMethod CS #inherit
UdMethod TextInP guid guid #zField
UdMethod TextInP method method #zField
UdMethod TextInP inParameterDecl inParameterDecl #zField
UdMethod TextInP inParameterMapAction inParameterMapAction #zField
UdMethod TextInP inActionCode inActionCode #zField
UdMethod TextInP outParameterDecl outParameterDecl #zField
UdMethod TextInP outParameterMapAction outParameterMapAction #zField
UdMethod TextInP outActionCode outActionCode #zField
UdMethod IO io io #zField
UdMethod S s0 s0 #zField
UdMethod PullArc a2 a2 #zField
UdMethod TQ t1 t1 #zField
UdMethod PushArc a3 a3 #zField
UdMethod S s2 s2 #zField
UdMethod TQ t2 t2 #zField
UdMethod PullArc a4 a4 #zField
UdMethod PushWFOutG-01 mainOut mainOut #zField

UdMethod io ioPort s0 ioPort #connect
UdMethod s0 out a2 tail #connect
UdMethod a2 head t1 in #connect
UdMethod t1 out a3 tail #connect
UdMethod a3 head s2 in #connect
UdMethod s2 out a4 tail #connect
UdMethod a4 head t2 in #connect
UdMethod t2 out mainOut m #connect

>Proto UdMethod UdMethod '' #zField
>Proto UdMethod 0 0 20 20 13 0 #rect
>Proto UdMethod @|UdMethodIcon #fIcon

[Internal position info]
UdMethod io   32  40 16 16  11 -8 #rect
UdMethod s0   42  50 16 16  11 -8 #rect
UdMethod mainOut  46 150 8  8   5 -7 #rect
UdMethod   0 0 200 158 1 #ivRect

UdInit UdInit Big #zClass
UdInit UdInit #cInfo
UdInit CS #inherit
UdInit TextInP guid guid #zField
UdInit TextInP method method #zField
UdInit TextInP inParamInfo inParamInfo #zField
UdInit TextInP inParameterDecl inParameterDecl #zField
UdInit TextInP inParameterMapAction inParameterMapAction #zField
UdInit TextInP inActionCode inActionCode #zField
UdInit TextInP outParamInfo outParamInfo #zField
UdInit TextInP outParameterDecl outParameterDecl #zField
UdInit TextInP outParameterMapAction outParameterMapAction #zField
UdInit TextInP outActionCode outActionCode #zField
UdInit IO io io #zField
UdInit S s0 s0 #zField
UdInit PullArc a2 a2 #zField
UdInit TQ t1 t1 #zField
UdInit PushArc a3 a3 #zField
UdInit S initEmbedded initEmbedded #zField
UdInit IO io1 io1 #zField
UdInit TQ t2 t2 #zField
UdInit PullArc a4 a4 #zField
UdInit PushWFOutG-01 mainOut mainOut #zField

UdInit s0 ioPort io ioPort #connect
UdInit s0 out a2 tail #connect
UdInit a2 head t1 in #connect
UdInit t1 out a3 tail #connect
UdInit a3 head initEmbedded in #connect
UdInit initEmbedded ioPort io1 ioPort #connect
UdInit initEmbedded out a4 tail #connect
UdInit a4 head t2 in #connect
UdInit t2 out mainOut m #connect

>Proto UdInit UdInit '' #zField
>Proto UdInit 0 0 20 20 13 0 #rect
>Proto UdInit @|UdInitIcon #fIcon

[Internal position info]
UdInit io   32  40 16 16  11 -8 #rect
UdInit s0   42  50 16 16  11 -8 #rect
UdInit mainOut  46 150 8  8   5 -7 #rect
UdInit   0 0 200 158 1 #ivRect

UdProcessEnd UdProcessEnd Big #zClass
UdProcessEnd UdProcessEnd #cInfo
UdProcessEnd CE #inherit
UdProcessEnd PushWFInG-0n mainIn mainIn #zField
UdProcessEnd S buffer buffer #zField
UdProcessEnd PullArc a1 a1 #zField
UdProcessEnd TQ t1 t1 #zField
UdProcessEnd PushArc a2 a2 #zField
UdProcessEnd S s1 s1 #zField
UdProcessEnd IO io0 io0 #zField

UdProcessEnd mainIn m buffer in #connect
UdProcessEnd buffer out a1 tail #connect
UdProcessEnd a1 head t1 in #connect
UdProcessEnd t1 out a2 tail #connect
UdProcessEnd a2 head s1 in #connect
UdProcessEnd s1 ioPort io0 ioPort #connect

>Proto UdProcessEnd richDialogProcessEnd '' #zField
>Proto richDialogProcessEnd 0 0 20 20 13 0 #rect
>Proto richDialogProcessEnd @|UdProcessEndIcon #fIcon

[Internal position info]
UdProcessEnd  mainIn   46   0  8  8   5 -7 #rect
UdProcessEnd  buffer   42  50 16 16  11 -8 #rect
UdProcessEnd  t1       42 100 16 16  11 -8 #rect
UdProcessEnd  0 0 100 150 1 #ivRect

Trigger Trigger Big #zClass
Trigger CA #inherit
Trigger Trigger #cInfo
Trigger TextInP processCall processCall #zField
Trigger TextInP requestActionDecl requestActionDecl #zField
Trigger TextInP requestMappingAction requestMappingAction #zField
Trigger TextInP requestActionCode requestActionCode #zField
Trigger TextInP responseActionDecl responseActionDecl #zField
Trigger TextInP responseMappingAction responseMappingAction #zField
Trigger TextInP responseActionCode responseActionCode #zField

Trigger PushWFInG-0n mainIn mainIn #zField
Trigger S buffer buffer #zField
Trigger PullArc a0 a0 #zField
Trigger TQ t1 t1 #zField
Trigger PushArc a1 a1 #zField
Trigger S s1 s1 #zField
Trigger PullArc a2 a2 #zField
Trigger TQ t2 t2 #zField
Trigger PullArc a3 a3 #zField
Trigger TQ t3 t3 #zField
Trigger PushWFOutG-01 mainOut mainOut #zField

>Proto Trigger trigger '' #zField
>Proto trigger 0 0 36 24 20 -2 #rect
>Proto trigger @|TriggerIcon #fIcon

[Internal position info]
Trigger  mainIn   46   0  8  8   5 -7 #rect
Trigger  buffer   42  50 16 16  11 -8 #rect
Trigger  t1        42 100 16 16  11 -8 #rect
Trigger  mainOut  46 150  8  8   5 -7 #rect
Trigger  0 0 100 158 1 #ivRect


BpmnTask BpmnTask Big #zClass
BpmnTask CG #inherit
BpmnTask BpmnTask #cInfo
BpmnTask 0 0 600 400 0 #ivRect
>Proto BpmnTask bpmnTask BPMNTask #zField
>Proto bpmnTask 0 0 32 24 18 0 #rect
>Proto bpmnTask @|BpmnTaskIcon #fIcon

BpmnUserTask BpmnUserTask Big #zClass
BpmnUserTask BpmnTask #inherit
BpmnUserTask BpmnUserTask #cInfo
BpmnUserTask 0 0 600 400 0 #ivRect
>Proto BpmnUserTask bpmnUserTask UserTask #zField
>Proto bpmnUserTask 0 0 32 24 18 0 #rect
>Proto bpmnUserTask @|BpmnUserTaskIcon #fIcon

BpmnManualTask BpmnManualTask Big #zClass
BpmnManualTask BpmnTask #inherit
BpmnManualTask BpmnManualTask #cInfo
BpmnManualTask 0 0 600 400 0 #ivRect
>Proto BpmnManualTask bpmnManualTask ManualTask #zField
>Proto bpmnManualTask 0 0 32 24 18 0 #rect
>Proto bpmnManualTask @|BpmnManualTaskIcon #fIcon

BpmnScriptTask BpmnScriptTask Big #zClass
BpmnScriptTask BpmnTask #inherit
BpmnScriptTask BpmnScriptTask #cInfo
BpmnScriptTask 0 0 600 400 0 #ivRect
>Proto BpmnScriptTask bpmnScriptTask ScriptTask #zField
>Proto bpmnScriptTask 0 0 32 24 18 0 #rect
>Proto bpmnScriptTask @|BpmnScriptTaskIcon #fIcon

BpmnReceiveTask BpmnReceiveTask Big #zClass
BpmnReceiveTask BpmnTask #inherit
BpmnReceiveTask BpmnReceiveTask #cInfo
BpmnReceiveTask 0 0 600 400 0 #ivRect
>Proto BpmnReceiveTask bpmnReceiveTask ReceiveTask #zField
>Proto bpmnReceiveTask 0 0 32 24 18 0 #rect
>Proto bpmnReceiveTask @|BpmnReceiveTaskIcon #fIcon

BpmnBusinessRuleTask BpmnBusinessRuleTask Big #zClass
BpmnBusinessRuleTask BpmnTask #inherit
BpmnBusinessRuleTask BpmnBusinessRuleTask #cInfo
BpmnBusinessRuleTask 0 0 600 400 0 #ivRect
>Proto BpmnBusinessRuleTask bpmnBusinessRuleTask BusinessRuleTask #zField
>Proto bpmnBusinessRuleTask 0 0 32 24 18 0 #rect
>Proto bpmnBusinessRuleTask @|BpmnBusinessRuleTaskIcon #fIcon

BpmnSendTask BpmnSendTask Big #zClass
BpmnSendTask BpmnTask #inherit
BpmnSendTask BpmnSendTask #cInfo
BpmnSendTask 0 0 600 400 0 #ivRect
>Proto BpmnSendTask bpmnSendTask SendTask #zField
>Proto bpmnSendTask 0 0 32 24 18 0 #rect
>Proto bpmnSendTask @|BpmnSendTaskIcon #fIcon

BpmnServiceTask BpmnServiceTask Big #zClass
BpmnServiceTask BpmnTask #inherit
BpmnServiceTask BpmnServiceTask #cInfo
BpmnServiceTask 0 0 600 400 0 #ivRect
>Proto BpmnServiceTask bpmnServiceTask ServiceTask #zField
>Proto bpmnServiceTask 0 0 32 24 18 0 #rect
>Proto bpmnServiceTask @|BpmnServiceTaskIcon #fIcon

UserTask UserTask Big #zClass
UserTask CA #inherit
UserTask UserTask #cInfo
UserTask TextInP dialogId dialogId #zField
UserTask TextInP startMethod startMethod #zField
UserTask TextInP requestActionDecl requestActionDecl #zField
UserTask TextInP requestMappingAction requestMappingAction #zField
UserTask TextInP requestActionCode requestActionCode #zField
UserTask TextInP responseActionDecl responseActionDecl #zField
UserTask TextInP responseMappingAction responseMappingAction #zField
UserTask TextInP responseActionCode responseActionCode #zField
UserTask TextInP caseData caseData #zField
UserTask TextInP taskData taskData #zField
UserTask TkInG-0n in in #zField
UserTask TQ t t #zField
UserTask PushWFOutG-01 out out #zField
>Proto UserTask userTask '' #zField
>Proto userTask 0 0 28 28 14 0 #rect
>Proto userTask @|UserTaskIcon #fIcon

[Internal position info]
UserTask in 46 0 8 8 5 -5 #rect
UserTask t 42 150 16 16  11 -8 #rect
UserTask out 46 200 8 8  5 -7 #rect
UserTask 0 0 100 208 1 #ivRect
