-- SQL script to convert the database for Postgre SQL from version 80 to version 81


-- Drop unique constraint which depend on changed columns or was deleted
ALTER TABLE IWA_TaskElement DROP CONSTRAINT IWA_TaskElement_ProcessModelVersionId_ProcessElementId_Key CASCADE;

-- Dropped columns of table IWA_TaskElement
ALTER TABLE IWA_TaskElement DROP COLUMN Name;

ALTER TABLE IWA_TaskElement DROP COLUMN Description;


-- Dropped columns of table IWA_TaskStart
ALTER TABLE IWA_TaskStart DROP COLUMN UserFriendlyStartRequestPath;


-- Drop unique constraint which depend on changed columns or was deleted
ALTER TABLE IWA_TaskEnd DROP CONSTRAINT IWA_TaskEnd_TaskElementId_JoinRequestPath_Key CASCADE;

-- Dropped columns of table IWA_TaskEnd
ALTER TABLE IWA_TaskEnd DROP COLUMN JoinRequestPath;

ALTER TABLE IWA_TaskEnd DROP COLUMN UserFriendlyJoinRequestPath;


-- Create new unique constraint of table IWA_TaskElement
ALTER TABLE IWA_TaskElement ADD UNIQUE (ProcessModelVersionId, ProcessElementId, Kind);


-- Update Version
UPDATE IWA_Version SET Version=81;
