-- SQL script to convert the database for Oracle from version 85 to version 86

DECLARE
FK_NAME VARCHAR(30);
BEGIN
  SELECT UC.CONSTRAINT_NAME INTO FK_NAME
  FROM USER_CONSTRAINTS UC INNER JOIN USER_CONS_COLUMNS UCC ON UC.CONSTRAINT_NAME = UCC.CONSTRAINT_NAME
  WHERE UC.CONSTRAINT_TYPE='R' AND UC.TABLE_NAME='IWA_PAGEARCHIVE' AND UCC.COLUMN_NAME='PAGEELEMENTID';

  EXECUTE IMMEDIATE 'ALTER TABLE IWA_PageArchive DROP CONSTRAINT ' || FK_NAME;
END;
;


-- Drop no longer existing table
DROP TABLE IWA_PageArchive;

-- Drop no longer existing table
DROP TABLE IWA_PageElement;

-- Update Version
UPDATE IWA_Version SET Version=86;
