# SQL script to convert the database for MySQL from version 90 to version 91

UPDATE IWA_UserProperty SET SecurityMemberId = (SELECT SecurityMemberId FROM IWA_User WHERE IWA_User.UserId = IWA_UserProperty.UserId);

UPDATE IWA_RoleProperty SET SecurityMemberId = (SELECT SecurityMemberId FROM IWA_Role WHERE IWA_Role.RoleId = IWA_RoleProperty.RoleId);

UPDATE IWA_UserAbsence SET SecurityMemberId = (SELECT SecurityMemberId FROM IWA_User WHERE IWA_User.UserId = IWA_UserAbsence.UserId);

UPDATE IWA_UserSubstitute SET SecurityMemberId = (SELECT SecurityMemberId FROM IWA_User WHERE IWA_User.UserId = IWA_UserSubstitute.UserId);

UPDATE IWA_UserSubstitute SET SubstituteUserSecurityMemberId = (SELECT SecurityMemberId FROM IWA_User WHERE IWA_User.UserId = IWA_UserSubstitute.SubstituteUserId); 

UPDATE IWA_UserSubstitute SET SubstituteRoleSecurityMemberId = (SELECT SecurityMemberId FROM IWA_Role WHERE IWA_Role.RoleId = IWA_UserSubstitute.SubstituteForRoleId);

UPDATE IWA_Note SET SecurityMemberId = (SELECT SecurityMemberId FROM IWA_User WHERE IWA_User.UserId = IWA_Note.UserId);

UPDATE IWA_UserLocation SET SecurityMemberId = (SELECT SecurityMemberId FROM IWA_User WHERE IWA_User.UserId = IWA_UserLocation.UserId);

UPDATE IWA_AccessControl SET SecurityMemberId = CASE
    WHEN UserId IS NOT NULL THEN (SELECT SecurityMemberId FROM IWA_User WHERE IWA_User.UserId = IWA_AccessControl.UserId)
    ELSE (SELECT SecurityMemberId FROM IWA_Role WHERE IWA_Role.RoleId = IWA_AccessControl.RoleId)
END;

# Update Version
UPDATE IWA_Version SET Version=91;
