-- SQL script to convert the database for Postgre SQL from version 92 to version 93

ALTER TABLE IWA_Role ADD COLUMN
  ParentSecurityMemberId VARCHAR(210) REFERENCES IWA_Role(SecurityMemberId) ON DELETE CASCADE;

CREATE INDEX IF NOT EXISTS IWA_Role_ParentSecurityMemberIdIndex
ON IWA_Role (ParentSecurityMemberId varchar_pattern_ops);

-- Update Version
UPDATE IWA_Version SET Version=93;
