-- migrate postgresql from version 101 to version 102

ALTER TABLE IWA_Role DROP CONSTRAINT IWA_Role_SecuritySystemId_ApplicationId_Name_Key CASCADE;
ALTER TABLE IWA_Role DROP COLUMN ApplicationId;
ALTER TABLE IWA_Role ADD UNIQUE (SecuritySystemId, Name);
CREATE INDEX IF NOT EXISTS IWA_Role_ExternalSecurityNameIndex ON IWA_Role (SecuritySystemId, ExternalSecurityName varchar_pattern_ops);

UPDATE IWA_Version SET Version=102;
