# SQL script to convert the database for MySQL from version 120 to version 121


# Added columns of table IWA_Case
ALTER TABLE IWA_Case ADD COLUMN
  ModifiedTimestamp DATETIME;

# Added columns of table IWA_Task
ALTER TABLE IWA_Task ADD COLUMN
  ModifiedTimestamp DATETIME;

# fill data
UPDATE IWA_Case SET ModifiedTimestamp = COALESCE(EndTimestamp, StartTimestamp);
UPDATE IWA_Task SET ModifiedTimestamp = COALESCE(EndTimestamp, StartTimestamp);


# set not null
ALTER TABLE IWA_Case MODIFY ModifiedTimestamp DATETIME NOT NULL;
ALTER TABLE IWA_Task MODIFY ModifiedTimestamp DATETIME NOT NULL;

# Update Version
UPDATE IWA_Version SET Version=121;
