-- SQL script to convert the database for Oracle from version 124 to version 125

-- Changed columns of table IWA_Case
ALTER TABLE IWA_Case MODIFY UUID VARCHAR2(36);
ALTER TABLE IWA_Case MODIFY UUID NOT NULL;

-- Create unique constraints which depend on changed columns
ALTER TABLE IWA_Case ADD UNIQUE (UUID);

-- Changed columns of table IWA_Task
ALTER TABLE IWA_Task MODIFY UUID VARCHAR2(36);
ALTER TABLE IWA_Task MODIFY UUID NOT NULL;

-- Create unique constraints which depend on changed columns
ALTER TABLE IWA_Task ADD UNIQUE (UUID);

-- Update Version
UPDATE IWA_Version SET Version=125;
