-- SQL script to convert the database for Microsoft SQL Server from version 131 to version 132


-- Added columns of table IWA_Notification
ALTER TABLE IWA_Notification ADD
  SecuritySystemId BIGINT NOT NULL REFERENCES IWA_SecuritySystem(SecuritySystemId) ON DELETE CASCADE
GO

-- Create new indexes of table IWA_Notification
IF NOT EXISTS (SELECT * FROM sysindexes WHERE id=object_id('IWA_Notification') AND name='IWA_Notification_SecuritySystemIdIndex')
  CREATE INDEX IWA_Notification_SecuritySystemIdIndex ON IWA_Notification (SecuritySystemId)
GO

-- Update Version
UPDATE IWA_Version SET Version=132
GO
