-- SQL script to convert the database for Postgre SQL from version 131 to version 132


-- Added columns of table IWA_Notification
ALTER TABLE IWA_Notification ADD COLUMN
  SecuritySystemId BIGINT NOT NULL REFERENCES IWA_SecuritySystem(SecuritySystemId) ON DELETE CASCADE;

-- Create new indexes of table IWA_Notification
CREATE INDEX IF NOT EXISTS IWA_Notification_SecuritySystemIdIndex
ON IWA_Notification (SecuritySystemId);


-- Update Version
UPDATE IWA_Version SET Version=132;
