-- SQL script to convert the database for Microsoft SQL Server from version 132 to version 133


-- Added columns of table IWA_NotificationDelivery
ALTER TABLE IWA_NotificationDelivery ADD
  ReadAt DATETIME2(3) NULL
GO
ALTER TABLE IWA_NotificationDelivery ADD
  Hide BIT NOT NULL
GO

-- Create new indexes of table IWA_NotificationDelivery
IF NOT EXISTS (SELECT * FROM sysindexes WHERE id=object_id('IWA_NotificationDelivery') AND name='IWA_NotificationDelivery_ReadAtIndex')
  CREATE INDEX IWA_NotificationDelivery_ReadAtIndex ON IWA_NotificationDelivery (ReadAt)
GO

IF NOT EXISTS (SELECT * FROM sysindexes WHERE id=object_id('IWA_NotificationDelivery') AND name='IWA_NotificationDelivery_HideIndex')
  CREATE INDEX IWA_NotificationDelivery_HideIndex ON IWA_NotificationDelivery (Hide)
GO

-- Update Version
UPDATE IWA_Version SET Version=133
GO
