-- SQL script to convert the database for Postgre SQL from version 132 to version 133


-- Added columns of table IWA_NotificationDelivery
ALTER TABLE IWA_NotificationDelivery ADD COLUMN
  ReadAt TIMESTAMP;
ALTER TABLE IWA_NotificationDelivery ADD COLUMN
  Hide DECIMAL(1) NOT NULL;

-- Create new indexes of table IWA_NotificationDelivery
CREATE INDEX IF NOT EXISTS IWA_NotificationDelivery_ReadAtIndex
ON IWA_NotificationDelivery (ReadAt);

CREATE INDEX IF NOT EXISTS IWA_NotificationDelivery_HideIndex
ON IWA_NotificationDelivery (Hide);


-- Update Version
UPDATE IWA_Version SET Version=133;
