-- SQL script to convert the database for Postgre SQL from version 139 to version 140

-- Drop unique constraint which depend on changed columns or was deleted
ALTER TABLE IWA_Blob DROP CONSTRAINT IWA_Blob_UUID_Key CASCADE;

-- Create new unique constraint of table IWA_Blob
ALTER TABLE IWA_Blob ADD UNIQUE (BlobId);

ALTER TABLE IWA_Blob DROP CONSTRAINT IWA_UploadedFile_pkey;
ALTER TABLE IWA_Blob ADD PRIMARY KEY (UUID);

-- Update Version
UPDATE IWA_Version SET Version=140;
