-- Migrate Microsoft SQL Server from version 151 to version 152

ALTER TABLE IWA_Notification ADD ProcessModelVersionId BIGINT NULL REFERENCES IWA_ProcessModelVersion(ProcessModelVersionId) ON DELETE SET NULL
GO
IF NOT EXISTS (SELECT * FROM sysindexes WHERE id=object_id('IWA_Notification') AND name='IWA_Notification_ProcessModelVersionIdIndex')
  CREATE INDEX IWA_Notification_ProcessModelVersionIdIndex ON IWA_Notification (ProcessModelVersionId)
GO

UPDATE IWA_Version SET Version = 152
GO
