# SQL script to convert the database for MySQL from version 80 to version 81


# Drop unique constraint which depend on changed columns or was deleted
ALTER TABLE IWA_TaskElement DROP INDEX ProcessModelVersionId;

# Dropped columns of table IWA_TaskElement
ALTER TABLE IWA_TaskElement DROP COLUMN Name;

ALTER TABLE IWA_TaskElement DROP COLUMN Description;


# Dropped columns of table IWA_TaskStart
ALTER TABLE IWA_TaskStart DROP COLUMN UserFriendlyStartRequestPath;


# Drop unique constraint which depend on changed columns or was deleted
ALTER TABLE IWA_TaskEnd DROP INDEX TaskElementId;

# Dropped columns of table IWA_TaskEnd
ALTER TABLE IWA_TaskEnd DROP COLUMN JoinRequestPath;

ALTER TABLE IWA_TaskEnd DROP COLUMN UserFriendlyJoinRequestPath;


# Create new unique constraint of table IWA_TaskElement
ALTER TABLE IWA_TaskElement ADD UNIQUE (ProcessModelVersionId, ProcessElementId, Kind);


# Update Version
UPDATE IWA_Version SET Version=81;
