-- SQL script to convert the database for Postgre SQL from version 81 to version 82

ALTER TABLE IWA_WebServiceFeature DROP
 CONSTRAINT IWA_WebServiceFeature_WebServiceEnvironmentId_fkey
;

ALTER TABLE IWA_WebServiceProperty DROP
 CONSTRAINT IWA_WebServiceProperty_WebServiceEnvironmentId_fkey
;

ALTER TABLE IWA_WebServiceEndpoint DROP
 CONSTRAINT IWA_WebServiceEndpoint_WebServiceEnvironmentId_fkey
;

ALTER TABLE IWA_WebServiceEndpoint DROP
 CONSTRAINT IWA_WebServiceEndpoint_WebServicePortTypeId_fkey
;

ALTER TABLE IWA_WebServiceEnvironment DROP
 CONSTRAINT IWA_WebServiceEnvironment_WebServiceId_fkey
;

ALTER TABLE IWA_WebServicePortType DROP
 CONSTRAINT IWA_WebServicePortType_WebServiceId_fkey
;


-- Drop no longer existing table
DROP TABLE IWA_WebServiceFeature;

-- Drop no longer existing table
DROP TABLE IWA_WebServiceProperty;

-- Drop no longer existing table
DROP TABLE IWA_WebServiceEndpoint;

-- Drop no longer existing table
DROP TABLE IWA_WebServiceEnvironment;

-- Drop no longer existing table
DROP TABLE IWA_WebServicePortType;

-- Drop no longer existing table
DROP TABLE IWA_WebService;

-- Update Version
UPDATE IWA_Version SET Version=82;
