-- SQL script to convert the database for Microsoft SQL Server from version 109 to version 110


-- Create new indexes of table IWA_Case
IF NOT EXISTS (SELECT * FROM sysindexes WHERE id=object_id('IWA_Case') AND name='IWA_Case_StartTimestamp')
  CREATE INDEX IWA_Case_StartTimestamp ON IWA_Case (StartTimestamp)
GO


-- Create new indexes of table IWA_Task
IF NOT EXISTS (SELECT * FROM sysindexes WHERE id=object_id('IWA_Task') AND name='IWA_Task_StartTimestamp')
  CREATE INDEX IWA_Task_StartTimestamp ON IWA_Task (StartTimestamp)
GO


-- Update Version
UPDATE IWA_Version SET Version=110
GO
