-- SQL script to convert the database for Microsoft SQL Server from version 115 to version 116

ALTER TABLE IWA_Application
ALTER COLUMN Name VARCHAR(160) NOT NULL
GO

ALTER TABLE IWA_Application
ALTER COLUMN Description VARCHAR(8000) NULL
GO

ALTER TABLE IWA_Application
ALTER COLUMN OwnerName VARCHAR(160) NOT NULL
GO

ALTER TABLE IWA_Application
ALTER COLUMN FileDirectory VARCHAR(2000) NOT NULL
GO

ALTER TABLE IWA_ProcessModel
ALTER COLUMN Name VARCHAR(160) NOT NULL
GO

ALTER TABLE IWA_ProcessModel
ALTER COLUMN Description VARCHAR(8000) NULL
GO

ALTER TABLE IWA_ProcessModelVersion
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_ProcessModelVersion
ALTER COLUMN ProjectDirectory VARCHAR(2000) NULL
GO

ALTER TABLE IWA_ProcessModelVersion
ALTER COLUMN ProjectName VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_ProcessModelVersion
ALTER COLUMN ProjectHash VARCHAR(128) NULL
GO

ALTER TABLE IWA_ProcessModelVersion
ALTER COLUMN ChangedBy VARCHAR(200) NOT NULL
GO

ALTER TABLE IWA_ProcessModelVersion
ALTER COLUMN ChangedFromHost VARCHAR(200) NOT NULL
GO

ALTER TABLE IWA_Library
ALTER COLUMN Version VARCHAR(200) NOT NULL
GO

ALTER TABLE IWA_Library
ALTER COLUMN Provider VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_Library
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_CaseMap
ALTER COLUMN UUID VARCHAR(144) NOT NULL
GO

ALTER TABLE IWA_CaseMap
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_SecurityMember
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_SecurityMember
ALTER COLUMN MemberName VARCHAR(804) NOT NULL
GO

ALTER TABLE IWA_SecurityMember
ALTER COLUMN DisplayName VARCHAR(800) NULL
GO

ALTER TABLE IWA_Role
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_Role
ALTER COLUMN DisplayNameTemplate VARCHAR(800) NULL
GO

ALTER TABLE IWA_Role
ALTER COLUMN DisplayDescriptionTemplate VARCHAR(800) NULL
GO

ALTER TABLE IWA_RoleProperty
ALTER COLUMN PropertyName VARCHAR(1020) NOT NULL
GO

ALTER TABLE IWA_User
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_User
ALTER COLUMN FullName VARCHAR(800) NULL
GO

ALTER TABLE IWA_User
ALTER COLUMN UserPassword VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_User
ALTER COLUMN ExternalSecurityName VARCHAR(2000) NULL
GO

ALTER TABLE IWA_User
ALTER COLUMN ExternalId VARCHAR(800) NULL
GO

ALTER TABLE IWA_User
ALTER COLUMN EMailAddress VARCHAR(800) NULL
GO

ALTER TABLE IWA_User
ALTER COLUMN "Language" VARCHAR(20) NULL
GO

ALTER TABLE IWA_User
ALTER COLUMN FormattingLanguage VARCHAR(20) NULL
GO

ALTER TABLE IWA_UserProperty
ALTER COLUMN PropertyName VARCHAR(1020) NOT NULL
GO

ALTER TABLE IWA_UserAbsence
ALTER COLUMN Description VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_UserSubstitute
ALTER COLUMN Description VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_TaskElement
ALTER COLUMN ProcessElementId VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_TaskStart
ALTER COLUMN StartRequestPath VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_Case
ALTER COLUMN Environment VARCHAR(800) NULL
GO

ALTER TABLE IWA_Case
ALTER COLUMN BusinessCalendar VARCHAR(800) NULL
GO

ALTER TABLE IWA_Case
ALTER COLUMN Stage VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_Case
ALTER COLUMN Category VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_CaseLocalized
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_Task
ALTER COLUMN RequestPath VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_Task
ALTER COLUMN BusinessCalendar VARCHAR(800) NULL
GO

ALTER TABLE IWA_Task
ALTER COLUMN Category VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_TaskLocalized
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_WorkflowEvent
ALTER COLUMN AdditionalInfo1 VARCHAR(800) NULL
GO

ALTER TABLE IWA_WorkflowEvent
ALTER COLUMN AdditionalInfo2 VARCHAR(800) NULL
GO

ALTER TABLE IWA_WorkflowEvent
ALTER COLUMN AdditionalInfo3 VARCHAR(800) NULL
GO

ALTER TABLE IWA_WorkflowEvent
ALTER COLUMN AdditionalInfo4 VARCHAR(800) NULL
GO

ALTER TABLE IWA_WorkflowEvent
ALTER COLUMN AdditionalInfo5 VARCHAR(800) NULL
GO

ALTER TABLE IWA_CaseMapEvent
ALTER COLUMN Stage VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_CaseMapEvent
ALTER COLUMN Process VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_CaseMapEvent
ALTER COLUMN Milestone VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_CaseMapEvent
ALTER COLUMN Reason VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_CaseMapEvent
ALTER COLUMN ProcessingErrorMessage VARCHAR(3000) NOT NULL
GO

ALTER TABLE IWA_IntermediateEvent
ALTER COLUMN TimeoutTaskStartElementId VARCHAR(800) NULL
GO

ALTER TABLE IWA_IntermediateEvent
ALTER COLUMN AdditionalInformation VARCHAR(8000) NULL
GO

ALTER TABLE IWA_Note
ALTER COLUMN UserName VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_TaskCustomStringField
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_TaskCustomStringField
ALTER COLUMN "Value" VARCHAR(8000) NOT NULL
GO

ALTER TABLE IWA_TaskCustomTextField
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_TaskCustomNumberField
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_TaskCustomTimestampField
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_CaseCustomStringField
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_CaseCustomStringField
ALTER COLUMN "Value" VARCHAR(8000) NOT NULL
GO

ALTER TABLE IWA_CaseCustomTextField
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_CaseCustomNumberField
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_CaseCustomTimestampField
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_UserLocation
ALTER COLUMN "Type" VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_UserLocation
ALTER COLUMN Note VARCHAR(8000) NOT NULL
GO

ALTER TABLE IWA_UserLocation
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_UserLocation
ALTER COLUMN Address VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_TaskLocation
ALTER COLUMN "Type" VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_TaskLocation
ALTER COLUMN Note VARCHAR(8000) NOT NULL
GO

ALTER TABLE IWA_TaskLocation
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_TaskLocation
ALTER COLUMN Address VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_TaskSignalEventReceiver
ALTER COLUMN SignalCodePattern VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_SignaledTask
ALTER COLUMN SignalCodePattern VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_SignalEvent
ALTER COLUMN SignalCode VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_SignalEvent
ALTER COLUMN SentByProcessElementPid VARCHAR(800) NULL
GO

ALTER TABLE IWA_SecuritySystem
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_Language
ALTER COLUMN Locale VARCHAR(100) NOT NULL
GO

ALTER TABLE IWA_PermissionGroup
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_SecurityDescriptorType
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_Permission
ALTER COLUMN Name VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_UploadedFile
ALTER COLUMN FileName VARCHAR(1020) NOT NULL
GO

ALTER TABLE IWA_UploadedFile
ALTER COLUMN FilePath VARCHAR(3000) NOT NULL
GO

ALTER TABLE IWA_UploadedFile
ALTER COLUMN CreationUserId VARCHAR(800) NULL
GO

ALTER TABLE IWA_UploadedFile
ALTER COLUMN CreationDate VARCHAR(40) NULL
GO

ALTER TABLE IWA_UploadedFile
ALTER COLUMN CreationTime VARCHAR(32) NULL
GO

ALTER TABLE IWA_UploadedFile
ALTER COLUMN FileSize VARCHAR(80) NULL
GO

ALTER TABLE IWA_UploadedFile
ALTER COLUMN ModificationUserId VARCHAR(800) NULL
GO

ALTER TABLE IWA_UploadedFile
ALTER COLUMN ModificationDate VARCHAR(40) NULL
GO

ALTER TABLE IWA_UploadedFile
ALTER COLUMN ModificationTime VARCHAR(32) NULL
GO

ALTER TABLE IWA_UploadedFile
ALTER COLUMN Description VARCHAR(4096) NULL
GO

ALTER TABLE IWA_BusinessData
ALTER COLUMN ObjectType VARCHAR(1020) NOT NULL
GO

ALTER TABLE IWA_BusinessData
ALTER COLUMN CreatedByUserName VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_BusinessData
ALTER COLUMN ModifiedByUserName VARCHAR(800) NOT NULL
GO

ALTER TABLE IWA_BusinessCaseData
ALTER COLUMN ObjectType VARCHAR(1020) NOT NULL
GO

UPDATE IWA_SecuritySystem SET Name = 'system' WHERE Name = 'System';
GO

-- Update Version
UPDATE IWA_Version SET Version=116
GO
