-- SQL script to convert the database for Microsoft SQL Server from version 120 to version 121


-- Added columns of table IWA_Case
ALTER TABLE IWA_Case ADD
  ModifiedTimestamp DATETIME
GO

-- Added columns of table IWA_Task
ALTER TABLE IWA_Task ADD
  ModifiedTimestamp DATETIME
GO

UPDATE IWA_Case SET ModifiedTimestamp = COALESCE(EndTimestamp, StartTimestamp)
GO
UPDATE IWA_Task SET ModifiedTimestamp = COALESCE(EndTimestamp, StartTimestamp)
GO

ALTER TABLE IWA_Case ALTER COLUMN ModifiedTimestamp DATETIME NOT NULL
GO
ALTER TABLE IWA_Task ALTER COLUMN ModifiedTimestamp DATETIME NOT NULL
GO



-- Update Version
UPDATE IWA_Version SET Version=121
GO
