-- SQL script to convert the database for Oracle from version 120 to version 121


-- Added columns of table IWA_Case
ALTER TABLE IWA_Case ADD
  ModifiedTimestamp DATE;

-- Added columns of table IWA_Task
ALTER TABLE IWA_Task ADD
  ModifiedTimestamp DATE;

-- fill data
UPDATE IWA_Case SET ModifiedTimestamp = COALESCE(EndTimestamp, StartTimestamp);
UPDATE IWA_Task SET ModifiedTimestamp = COALESCE(EndTimestamp, StartTimestamp);


ALTER TABLE IWA_Case MODIFY ModifiedTimestamp NOT NULL;
ALTER TABLE IWA_Task MODIFY ModifiedTimestamp NOT NULL;


-- Update Version
UPDATE IWA_Version SET Version=121;
