-- SQL script to convert the database for Postgre SQL from version 120 to version 121


-- Added columns of table IWA_Case
ALTER TABLE IWA_Case ADD COLUMN
  ModifiedTimestamp TIMESTAMP;

-- Added columns of table IWA_Task
ALTER TABLE IWA_Task ADD COLUMN
  ModifiedTimestamp TIMESTAMP;

UPDATE IWA_Case SET ModifiedTimestamp = COALESCE(EndTimestamp, StartTimestamp);
UPDATE IWA_Task SET ModifiedTimestamp = COALESCE(EndTimestamp, StartTimestamp);

ALTER TABLE IWA_Case ALTER COLUMN ModifiedTimestamp SET NOT NULL;
ALTER TABLE IWA_Task ALTER COLUMN ModifiedTimestamp SET NOT NULL;

-- Update Version
UPDATE IWA_Version SET Version=121;
