# SQL script to convert the database for MySQL from version 121 to version 122

ALTER TABLE IWA_ProcessModelVersion MODIFY ReleaseTimestamp DATETIME(3);
ALTER TABLE IWA_ProcessModelVersion MODIFY ScheduledReleaseTimestamp DATETIME(3);
ALTER TABLE IWA_ProcessModelVersion MODIFY Changed DATETIME(3) NOT NULL;

ALTER TABLE IWA_UserAbsence MODIFY StartTimestamp DATETIME(3) NOT NULL;
ALTER TABLE IWA_UserAbsence MODIFY StopTimestamp DATETIME(3);

ALTER TABLE IWA_TaskSwitchEvent MODIFY ExecutionTimestamp DATETIME(3) NOT NULL;

ALTER TABLE IWA_Case MODIFY StartTimestamp DATETIME(3) NOT NULL;
ALTER TABLE IWA_Case MODIFY EndTimestamp DATETIME(3);
ALTER TABLE IWA_Case MODIFY ModifiedTimestamp DATETIME(3) NOT NULL;

ALTER TABLE IWA_Task MODIFY ExpiryTimestamp DATETIME(3);
ALTER TABLE IWA_Task MODIFY DelayTimestamp DATETIME(3);
ALTER TABLE IWA_Task MODIFY StartTimestamp DATETIME(3) NOT NULL;
ALTER TABLE IWA_Task MODIFY EndTimestamp DATETIME(3);
ALTER TABLE IWA_Task MODIFY ModifiedTimestamp DATETIME(3) NOT NULL;
ALTER TABLE IWA_Task MODIFY FailedTimeoutTimestamp DATETIME(3);

ALTER TABLE IWA_WorkflowEvent MODIFY EventTimestamp DATETIME(3) NOT NULL;

ALTER TABLE IWA_CaseMapEvent MODIFY `Timestamp` DATETIME(3) NOT NULL;
ALTER TABLE IWA_CaseMapEvent MODIFY ProcessingRetryTimestamp DATETIME(3);

ALTER TABLE IWA_IntermediateEvent MODIFY EventTimestamp DATETIME(3);
ALTER TABLE IWA_IntermediateEvent MODIFY TimeoutTimestamp DATETIME(3);

ALTER TABLE IWA_Note MODIFY `Timestamp` DATETIME(3) NOT NULL;

ALTER TABLE IWA_TaskCustomTimestampField MODIFY `Value` DATETIME(3) NOT NULL;
ALTER TABLE IWA_CaseCustomTimestampField MODIFY `Value` DATETIME(3) NOT NULL;

ALTER TABLE IWA_UserLocation MODIFY LocationTimestamp DATETIME(3);
ALTER TABLE IWA_TaskLocation MODIFY LocationTimestamp DATETIME(3);

ALTER TABLE IWA_SignalEvent MODIFY SentTimestamp DATETIME(3) NOT NULL;

ALTER TABLE IWA_BusinessData MODIFY CreatedAt DATETIME(3) NOT NULL;
ALTER TABLE IWA_BusinessData MODIFY ModifiedAt DATETIME(3) NOT NULL;


# Update Version
UPDATE IWA_Version SET Version=122;
