-- SQL script to convert the database for Oracle from version 121 to version 122


ALTER TABLE IWA_ProcessModelVersion MODIFY ReleaseTimestamp TIMESTAMP;
ALTER TABLE IWA_ProcessModelVersion MODIFY ScheduledReleaseTimestamp TIMESTAMP;
ALTER TABLE IWA_ProcessModelVersion MODIFY Changed TIMESTAMP;

ALTER TABLE IWA_UserAbsence MODIFY StartTimestamp TIMESTAMP;
ALTER TABLE IWA_UserAbsence MODIFY StopTimestamp TIMESTAMP;

ALTER TABLE IWA_TaskSwitchEvent MODIFY ExecutionTimestamp TIMESTAMP;

ALTER TABLE IWA_Case MODIFY StartTimestamp TIMESTAMP;
ALTER TABLE IWA_Case MODIFY EndTimestamp TIMESTAMP;
ALTER TABLE IWA_Case MODIFY ModifiedTimestamp TIMESTAMP;

ALTER TABLE IWA_Task MODIFY ExpiryTimestamp TIMESTAMP;
ALTER TABLE IWA_Task MODIFY DelayTimestamp TIMESTAMP;
ALTER TABLE IWA_Task MODIFY StartTimestamp TIMESTAMP;
ALTER TABLE IWA_Task MODIFY EndTimestamp TIMESTAMP;
ALTER TABLE IWA_Task MODIFY ModifiedTimestamp TIMESTAMP;
ALTER TABLE IWA_Task MODIFY FailedTimeoutTimestamp TIMESTAMP;

ALTER TABLE IWA_WorkflowEvent MODIFY EventTimestamp TIMESTAMP;

ALTER TABLE IWA_CaseMapEvent MODIFY "TIMESTAMP" TIMESTAMP;
ALTER TABLE IWA_CaseMapEvent MODIFY ProcessingRetryTimestamp TIMESTAMP;

ALTER TABLE IWA_IntermediateEvent MODIFY EventTimestamp TIMESTAMP;
ALTER TABLE IWA_IntermediateEvent MODIFY TimeoutTimestamp TIMESTAMP;

ALTER TABLE IWA_Note MODIFY "TIMESTAMP" TIMESTAMP;

ALTER TABLE IWA_TaskCustomTimestampField MODIFY "VALUE" TIMESTAMP;
ALTER TABLE IWA_CaseCustomTimestampField MODIFY "VALUE" TIMESTAMP;

ALTER TABLE IWA_UserLocation MODIFY LocationTimestamp TIMESTAMP;
ALTER TABLE IWA_TaskLocation MODIFY LocationTimestamp TIMESTAMP;

ALTER TABLE IWA_SignalEvent MODIFY SentTimestamp TIMESTAMP;

ALTER TABLE IWA_BusinessData MODIFY CreatedAt TIMESTAMP;
ALTER TABLE IWA_BusinessData MODIFY ModifiedAt TIMESTAMP;


-- Update Version
UPDATE IWA_Version SET Version=122;
