-- SQL script to convert the database for Microsoft SQL Server from version 122 to version 123

DECLARE @defname VARCHAR(100), @cmd VARCHAR(1000)
SET @defname = 
(SELECT name
FROM sysobjects so JOIN sysconstraints sc
ON so.id = sc.constid
WHERE object_name(so.parent_obj) = 'IWA_SystemProperty'
AND so.xtype = 'D'
AND sc.colid =
 (SELECT colid FROM syscolumns
 WHERE id = object_id('dbo.IWA_SystemProperty') AND
 name = 'IsEncrypted'))
SET @cmd = 'ALTER TABLE IWA_SystemProperty DROP CONSTRAINT '
+ @defname
EXEC(@cmd)

GO

-- Dropped columns of table IWA_SystemProperty
ALTER TABLE IWA_SystemProperty DROP COLUMN IsEncrypted
GO


-- Update Version
UPDATE IWA_Version SET Version=123
GO
