-- SQL script to convert the database for Microsoft SQL Server from version 124 to version 125


-- Changed columns of table IWA_Case
ALTER TABLE IWA_Case ALTER COLUMN UUID VARCHAR(144) NOT NULL
GO

-- Create unique constraints which depend on changed columns
ALTER TABLE IWA_Case ADD UNIQUE (UUID)
GO


-- Changed columns of table IWA_Task
ALTER TABLE IWA_Task ALTER COLUMN UUID VARCHAR(144) NOT NULL
GO

-- Create unique constraints which depend on changed columns
ALTER TABLE IWA_Task ADD UNIQUE (UUID)
GO


-- Create new unique constraint of table IWA_Case
-- Skipping generation of constraint 'UNIQUE IWA_Case_UUIDIndex (UUID)'. It was already re-generated in this script.


-- Create new unique constraint of table IWA_Task
-- Skipping generation of constraint 'UNIQUE IWA_Task_UUIDIndex (UUID)'. It was already re-generated in this script.


-- Update Version
UPDATE IWA_Version SET Version=125
GO
