-- SQL script to convert the database for Postgre SQL from version 124 to version 125


-- Changed columns of table IWA_Case
ALTER TABLE IWA_Case ALTER COLUMN UUID TYPE VARCHAR(36);
ALTER TABLE IWA_Case ALTER COLUMN UUID SET NOT NULL;


-- Changed columns of table IWA_Task
ALTER TABLE IWA_Task ALTER COLUMN UUID TYPE VARCHAR(36);
ALTER TABLE IWA_Task ALTER COLUMN UUID SET NOT NULL;


-- Create new unique constraint of table IWA_Case
ALTER TABLE IWA_Case ADD UNIQUE (UUID);


-- Create new unique constraint of table IWA_Task
ALTER TABLE IWA_Task ADD UNIQUE (UUID);


-- Update Version
UPDATE IWA_Version SET Version=125;
