# SQL script to convert the database for MySQL from version 125 to version 126


# Added columns of table IWA_UploadedFile
ALTER TABLE IWA_UploadedFile ADD COLUMN
  CreatorId VARCHAR(210);
ALTER TABLE IWA_UploadedFile ADD COLUMN
  CreatedAt DATETIME(3);
ALTER TABLE IWA_UploadedFile ADD COLUMN
  `Size` BIGINT;
ALTER TABLE IWA_UploadedFile ADD COLUMN
  ModifierId VARCHAR(210);
ALTER TABLE IWA_UploadedFile ADD COLUMN
  ModifiedAt DATETIME(3);

# Create added foreign keys of table IWA_UploadedFile
ALTER TABLE IWA_UploadedFile ADD
(
 FOREIGN KEY (CreatorId) REFERENCES IWA_SecurityMember(SecurityMemberId)
);

ALTER TABLE IWA_UploadedFile ADD
(
 FOREIGN KEY (ModifierId) REFERENCES IWA_SecurityMember(SecurityMemberId)
);


# Update Version
UPDATE IWA_Version SET Version=126;
