-- SQL script to convert the database for Microsoft SQL Server from version 127 to version 128


-- Changed columns of table IWA_UploadedFile
ALTER TABLE IWA_UploadedFile ALTER COLUMN CreatorId VARCHAR(210) NULL
GO
ALTER TABLE IWA_UploadedFile ALTER COLUMN ModifierId VARCHAR(210) NULL
GO


-- Create new indexes of table IWA_UploadedFile
IF NOT EXISTS (SELECT * FROM sysindexes WHERE id=object_id('IWA_UploadedFile') AND name='IWA_Uploaded_CreatorId')
  CREATE INDEX IWA_Uploaded_CreatorId ON IWA_UploadedFile (CreatorId)
GO

IF NOT EXISTS (SELECT * FROM sysindexes WHERE id=object_id('IWA_UploadedFile') AND name='IWA_Uploaded_ModifierId')
  CREATE INDEX IWA_Uploaded_ModifierId ON IWA_UploadedFile (ModifierId)
GO



-- Update Version
UPDATE IWA_Version SET Version=128
GO
