-- SQL script to convert the database for Postgre SQL from version 127 to version 128


-- Changed columns of table IWA_UploadedFile
ALTER TABLE IWA_UploadedFile ALTER COLUMN CreatorId TYPE VARCHAR(210);
ALTER TABLE IWA_UploadedFile ALTER COLUMN ModifierId TYPE VARCHAR(210);

-- Create new indexes of table IWA_UploadedFile
CREATE INDEX IF NOT EXISTS IWA_Uploaded_CreatorId
ON IWA_UploadedFile (CreatorId varchar_pattern_ops);

CREATE INDEX IF NOT EXISTS IWA_Uploaded_ModifierId
ON IWA_UploadedFile (ModifierId varchar_pattern_ops);


-- Update Version
UPDATE IWA_Version SET Version=128;
