-- SQL script to convert the database for Microsoft SQL Server from version 134 to version 135


-- Added columns of table IWA_NotificationDelivery
ALTER TABLE IWA_NotificationDelivery ADD
  DeliveryState INTEGER NOT NULL
GO
ALTER TABLE IWA_NotificationDelivery ADD
  Error VARCHAR(1020) NULL
GO

-- Create new indexes of table IWA_NotificationDelivery
IF NOT EXISTS (SELECT * FROM sysindexes WHERE id=object_id('IWA_NotificationDelivery') AND name='IWA_NotificationDelivery_DeliveryStateIndex')
  CREATE INDEX IWA_NotificationDelivery_DeliveryStateIndex ON IWA_NotificationDelivery (DeliveryState)
GO

-- Update Version
UPDATE IWA_Version SET Version=135
GO
