-- SQL script to convert the database for Oracle from version 138 to version 139


-- Drop unique constraint which depend on changed columns or was deleted
ALTER TABLE IWA_Blob DROP UNIQUE (UUID) DROP INDEX;

-- Changed columns of table IWA_Blob
ALTER TABLE IWA_Blob MODIFY UUID  VARCHAR2(36);
ALTER TABLE IWA_Blob MODIFY UUID NOT NULL;

-- Create unique constraints which depend on changed columns
ALTER TABLE IWA_Blob ADD UNIQUE (UUID);


-- Update Version
UPDATE IWA_Version SET Version=139;
