# SQL script to convert the database for MySQL from version 143 to version 144


# Changed columns of table IWA_Blob
ALTER TABLE IWA_Blob MODIFY
  ApplicationId BIGINT NOT NULL;

# Create added foreign keys of table IWA_Blob
ALTER TABLE IWA_Blob ADD
(
 FOREIGN KEY (ApplicationId) REFERENCES IWA_Application(ApplicationId) ON DELETE CASCADE
);



# Create new unique constraint of table IWA_Blob
ALTER TABLE IWA_Blob ADD UNIQUE (SecuritySystemId, `Path`);
ALTER TABLE IWA_Blob ADD UNIQUE (ApplicationId, FilePath);


# Update Version
UPDATE IWA_Version SET Version=144;
