-- SQL script to convert the database for Oracle from version 143 to version 144

ALTER TABLE IWA_Blob MODIFY ApplicationId NUMBER(20);
ALTER TABLE IWA_Blob MODIFY ApplicationId NOT NULL;
ALTER TABLE IWA_Blob ADD UNIQUE (ApplicationId, FilePath);
ALTER TABLE IWA_Blob ADD FOREIGN KEY (ApplicationId) REFERENCES IWA_Application (ApplicationId) ON DELETE CASCADE;
ALTER TABLE IWA_Blob ADD UNIQUE (SecuritySystemId, "PATH");

UPDATE IWA_Version SET Version=144;
