-- SQL script to convert the database for Postgre SQL from version 143 to version 144

ALTER TABLE IWA_Blob ALTER COLUMN ApplicationId TYPE BIGINT;
ALTER TABLE IWA_Blob ALTER COLUMN ApplicationId SET NOT NULL;
ALTER TABLE IWA_Blob ADD FOREIGN KEY (ApplicationId) REFERENCES IWA_Application (ApplicationId) ON DELETE CASCADE;
ALTER TABLE IWA_Blob ADD UNIQUE (SecuritySystemId, "Path");
ALTER TABLE IWA_Blob ADD UNIQUE (ApplicationId, FilePath);

UPDATE IWA_Version SET Version=144;
