-- SQL script to convert the database for Oracle from version 144 to version 145


-- Drop unique constraint which depend on changed columns or was deleted
ALTER TABLE IWA_Blob DROP UNIQUE (SecuritySystemId, "PATH") DROP INDEX;

-- Changed columns of table IWA_Blob
ALTER TABLE IWA_Blob MODIFY "PATH"  VARCHAR2(750);
ALTER TABLE IWA_Blob MODIFY "PATH" NOT NULL;

-- Create unique constraints which depend on changed columns
ALTER TABLE IWA_Blob ADD UNIQUE (SecuritySystemId, "PATH");


-- Update Version
UPDATE IWA_Version SET Version=145;
