-- Migrate Microsoft SQL Server from version 156 to version 157

IF NOT EXISTS (SELECT * FROM sysindexes WHERE id=object_id('IWA_User') AND name='IWA_User_SecSysSecMemberIndex')
  CREATE INDEX IWA_User_SecSysSecMemberIndex ON IWA_User (SecuritySystemId, SecurityMemberId)
GO
IF NOT EXISTS (SELECT * FROM sysindexes WHERE id=object_id('IWA_User') AND name='IWA_User_SecSysNameSecMemberIdx')
  CREATE INDEX IWA_User_SecSysNameSecMemberIdx ON IWA_User (SecuritySystemId, Name, SecurityMemberId)
GO

UPDATE IWA_Version SET Version = 157
GO
