-- Migrate Postgre SQL from version 158 to version 159

CREATE INDEX IF NOT EXISTS IWA_CaseLocalized_CaseIdLanguageIdLowerNameIndex ON IWA_CaseLocalized (CaseId, LanguageId, lower(Name) varchar_pattern_ops);
CREATE INDEX IF NOT EXISTS IWA_CaseLocalized_LanguageIdLowerNameCaseIdIndex ON IWA_CaseLocalized (LanguageId, lower(Name) varchar_pattern_ops, CaseId);
CREATE INDEX IF NOT EXISTS IWA_TaskLocalized_TaskIdLanguageIdLowerNameIndex ON IWA_TaskLocalized (TaskId, LanguageId, lower(Name) varchar_pattern_ops);
CREATE INDEX IF NOT EXISTS IWA_TaskLocalized_LanguageIdLowerNameTaskIdIndex ON IWA_TaskLocalized (LanguageId, lower(Name) varchar_pattern_ops, TaskId);
CREATE INDEX IF NOT EXISTS IWA_TaskCstmStringFld_TaskIdNameLowerValueIndex ON IWA_TaskCustomStringField (TaskId, Name varchar_pattern_ops, lower("Value") varchar_pattern_ops);
CREATE INDEX IF NOT EXISTS IWA_TaskCstmStringFld_NameLowerValueTaskIdIndex ON IWA_TaskCustomStringField (Name varchar_pattern_ops, lower("Value") varchar_pattern_ops, TaskId);
CREATE INDEX IF NOT EXISTS IWA_CaseCstmStringFld_CaseIdNameLowerValueIndex ON IWA_CaseCustomStringField (CaseId, Name varchar_pattern_ops, lower("Value") varchar_pattern_ops);
CREATE INDEX IF NOT EXISTS IWA_CaseCstmStringFld_NameLowerValueCaseIdIndex ON IWA_CaseCustomStringField (Name varchar_pattern_ops, lower("Value") varchar_pattern_ops, CaseId);

UPDATE IWA_Version SET Version = 159;
